//-----------------------------------------------------------------------------
//! \addtogroup AT91
//! @{
//
//  All rights reserved ADENEO SAS 2005
//
//! \file		at91_efc2.h
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/CONTROLLER/at91_efc2.h $
//!   $Author: pgal $
//!   $Revision: 626 $
//!   $Date: 2007-04-03 11:46:52 +0200 (mar., 03 avr. 2007) $
//! \endif
// 
//-----------------------------------------------------------------------------
#ifndef EFC2_H
#define EFC2_H

typedef volatile unsigned int AT91_REG;// Hardware register definition

#define AT91C_EFC_CORRECT_KEY  ((unsigned int) 0x5A << 24) // (EFC) Correct Protect Key

typedef struct _AT91S_EFC {
	AT91_REG	 EFC_FMR; 	// EFC Flash Mode Register
	AT91_REG	 EFC_FCR; 	// EFC Flash Command Register
	AT91_REG	 EFC_FSR; 	// EFC Flash Status Register
	AT91_REG	 EFC_FRR; 	// EFC Flash Result Register
} AT91S_EFC, *AT91PS_EFC;


       // -------- EFC_FMR : (EFC Offset: 0x0) EFC Flash Mode Register --------
#define   AT91C_EFC_FRDY        ((unsigned int) 0x1 <<  0) // (EFC) Ready Interrupt Enable
#define   AT91C_EFC_FWS         ((unsigned int) 0xF <<  8) // (EFC) Flash Wait State.
#define 	AT91C_EFC_FWS_0WS                  ((unsigned int) 0x0 <<  8) // (EFC) 0 Wait State
#define 	AT91C_EFC_FWS_1WS                  ((unsigned int) 0x1 <<  8) // (EFC) 1 Wait State
#define 	AT91C_EFC_FWS_2WS                  ((unsigned int) 0x2 <<  8) // (EFC) 2 Wait States
#define 	AT91C_EFC_FWS_3WS                  ((unsigned int) 0x3 <<  8) // (EFC) 3 Wait States
// -------- EFC_FCR : (EFC Offset: 0x4) EFC Flash Command Register --------
#define AT91C_EFC_FCMD        ((unsigned int) 0xFF <<  0) // (EFC) Flash Command
#define 	AT91C_EFC_FCMD_GETD                 ((unsigned int) 0x0) // (EFC) Get Flash Descriptor
#define 	AT91C_EFC_FCMD_WP                   ((unsigned int) 0x1) // (EFC) Write Page
#define 	AT91C_EFC_FCMD_WPL                  ((unsigned int) 0x2) // (EFC) Write Page and Lock
#define 	AT91C_EFC_FCMD_EWP                  ((unsigned int) 0x3) // (EFC) Erase Page and Write Page
#define 	AT91C_EFC_FCMD_EWPL                 ((unsigned int) 0x4) // (EFC) Erase Page and Write Page then Lock
#define 	AT91C_EFC_FCMD_EA                   ((unsigned int) 0x5) // (EFC) Erase All
#define 	AT91C_EFC_FCMD_EPL                  ((unsigned int) 0x6) // (EFC) Erase Plane
#define 	AT91C_EFC_FCMD_EPA                  ((unsigned int) 0x7) // (EFC) Erase Pages
#define 	AT91C_EFC_FCMD_SLB                  ((unsigned int) 0x8) // (EFC) Set Lock Bit
#define 	AT91C_EFC_FCMD_CLB                  ((unsigned int) 0x9) // (EFC) Clear Lock Bit
#define 	AT91C_EFC_FCMD_GLB                  ((unsigned int) 0xA) // (EFC) Get Lock Bit
#define 	AT91C_EFC_FCMD_SFB                  ((unsigned int) 0xB) // (EFC) Set Fuse Bit
#define 	AT91C_EFC_FCMD_CFB                  ((unsigned int) 0xC) // (EFC) Clear Fuse Bit
#define 	AT91C_EFC_FCMD_GFB                  ((unsigned int) 0xD) // (EFC) Get Fuse Bit
#define   AT91C_EFC_FARG        ((unsigned int) 0xFFFF <<  8) // (EFC) Flash Command Argument
#define   AT91C_EFC_FKEY        ((unsigned int) 0xFF << 24) // (EFC) Flash Writing Protection Key
// -------- EFC_FSR : (EFC Offset: 0x8) EFC Flash Status Register --------
#define AT91C_EFC_FRDY_S      ((unsigned int) 0x1 <<  0) // (EFC) Flash Ready Status
#define AT91C_EFC_FCMDE       ((unsigned int) 0x1 <<  1) // (EFC) Flash Command Error Status
#define AT91C_EFC_LOCKE       ((unsigned int) 0x1 <<  2) // (EFC) Flash Lock Error Status
// -------- EFC_FRR : (EFC Offset: 0xc) EFC Flash Result Register --------
#define AT91C_EFC_FVALUE      ((unsigned int) 0x0 <<  0) // (EFC) Flash Result Value

#endif
