//-----------------------------------------------------------------------------
//! \addtogroup DRIVERS
//! @{
//
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//!
//! \brief		Custom PWMC IOCTLs declaration file
//
//! \file	AT91SAM9263_pwmc_ioctl.h
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/IOCTL/AT91SAM9263_pwmc_ioctl.h $
//!   $Author: jjhiblot $
//!   $Revision: 856 $
//!   $Date: 2007-05-21 15:12:28 +0200 (lun., 21 mai 2007) $
//! \endif
//!
//! IOControl used by application for interaction with the PWMC driver
//-----------------------------------------------------------------------------
//! \addtogroup	PWMC
//! @{


#ifndef __AT91SAM9263_PWMC_IOCTL_H__
#define __AT91SAM9263_PWMC_IOCTL_H__

// Functions
#define PWC_CONFIG_CMD		(2048 + 1)
#define PWC_START_CMD		(2048 + 2)
#define PWC_STOP_CMD		(2048 + 3)

#define IOCTL_PWC_CONFIG	CTL_CODE(FILE_DEVICE_SERIAL_PORT, PWC_CONFIG_CMD, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_PWC_START		CTL_CODE(FILE_DEVICE_SERIAL_PORT, PWC_START_CMD, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_PWC_STOP		CTL_CODE(FILE_DEVICE_SERIAL_PORT, PWC_STOP_CMD, METHOD_BUFFERED, FILE_ANY_ACCESS)

typedef struct
{
	DWORD dwFrequency;
	DWORD dwDutyCycle;
} T_IOCTLPWC_CONFIG;


#endif // __AT91SAM9263_PWMC_IOCTL_H__

// End of Doxygen group PWMC
//! @}
//! @}
//-----------------------------------------------------------------------------
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/IOCTL/AT91SAM9263_pwmc_ioctl.h $
//-----------------------------------------------------------------------------
//


