//-----------------------------------------------------------------------------
//! \addtogroup	DRIVERS
//! @{
//!
//  All rights reserved ADENEO 2007
//!
//-----------------------------------------------------------------------------
//! \file		COMMON/INC/IOCTL/atmel_GPIO_ioctl.h
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/IOCTL/atmel_gpio_ioctl.h $
//!   $Author: pgal $
//!   $Revision: 1290 $
//!   $Date: 2007-08-10 16:59:42 +0200 (ven., 10 août 2007) $
//! \endif
//!
//! IO Controls for GPIO driver
//-----------------------------------------------------------------------------
//! \addtogroup	GPIO
//! @{

#ifndef __AT91SAM926X_GPIO_IOCTL_H__
#define __AT91SAM926X_GPIO_IOCTL_H__


//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------

#define GPIO_CONFIGURE_CMD			(2048 + 1)
#define GPIO_SETSTATE_CMD			(2048 + 2)
#define GPIO_GETSTATE_CMD			(2048 + 3)

#define IOCTL_GPIO_CONFIGURE	CTL_CODE(FILE_DEVICE_UNKNOWN, GPIO_CONFIGURE_CMD, METHOD_BUFFERED, FILE_WRITE_ACCESS)
#define IOCTL_GPIO_SETSTATE		CTL_CODE(FILE_DEVICE_UNKNOWN, GPIO_SETSTATE_CMD, METHOD_BUFFERED, FILE_WRITE_ACCESS)
#define IOCTL_GPIO_GETSTATE		CTL_CODE(FILE_DEVICE_UNKNOWN, GPIO_GETSTATE_CMD, METHOD_BUFFERED, FILE_READ_ACCESS)

// Struct
typedef struct {
	DWORD PinNo;			// Pin number
	DWORD PinState;			// Pin value (0 or 1)
} T_GPIOIOCTL_STATE;

#endif // #define __AT91SAM926X_GPIO_IOCTL_H__

// End of Doxygen group GPIO
//! @}
//-----------------------------------------------------------------------------
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/IOCTL/atmel_gpio_ioctl.h $
//-----------------------------------------------------------------------------
//
// End of Doxygen group DRIVERS
//! @}
