//-----------------------------------------------------------------------------
//! \addtogroup AT91SAM9263EK
//! @{
//
//  All rights reserved ADENEO SAS 2005
//
//! \file		AT91SAM9263.h
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/AT91SAM9263.h $
//!   $Author: ltourlonias $
//!   $Revision: 868 $
//!   $Date: 2007-05-23 11:27:17 +0200 (mer., 23 mai 2007) $
//! \endif
//		TODO
//
//-----------------------------------------------------------------------------
///////////////////////////////////////////////////////////////////////////////
//  ----------------------------------------------------------------------------
//          ATMEL Microcontroller Software Support  -  ROUSSET  -
//  ----------------------------------------------------------------------------
//  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
//  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
//  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
//  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
//  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
//  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
//  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
//  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
//  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//  ----------------------------------------------------------------------------
// File Name           : AT91SAM9263.h
// Object              : AT91SAM9263 definitions
// Generated           : AT91 SW Application Group  09/09/2005 (17:10:48)
// 
// CVS Reference       : /AT91SAM9263.pl/1.39/Thu Jun 30 15:17:16 2005//
// CVS Reference       : /SYS_SAM9263.pl/1.4/Tue Jan 18 17:06:33 2005//
// CVS Reference       : /HMATRIX1_SAM9263.pl/1.7/Thu Feb 17 09:32:59 2005//
// CVS Reference       : /PMC_SAM9263.pl/1.4/Mon Mar  7 18:03:13 2005//
// CVS Reference       : /HSDRAMC1_6100A.pl/1.2/Mon Aug  9 10:52:25 2004//
// CVS Reference       : /HSMC3_6105A.pl/1.4/Tue Nov 16 09:16:23 2004//
// CVS Reference       : /AIC_6075A.pl/1.1/Mon Jul 12 17:04:01 2004//
// CVS Reference       : /PDC_6074C.pl/1.2/Thu Feb  3 09:02:11 2005//
// CVS Reference       : /DBGU_6059D.pl/1.1/Mon Jan 31 13:54:41 2005//
// CVS Reference       : /PIO_6057A.pl/1.2/Thu Feb  3 10:29:42 2005//
// CVS Reference       : /RSTC_6098A.pl/1.3/Thu Nov  4 13:57:00 2004//
// CVS Reference       : /SHDWC_6122A.pl/1.3/Wed Oct  6 14:16:58 2004//
// CVS Reference       : /RTTC_6081A.pl/1.2/Thu Nov  4 13:57:22 2004//
// CVS Reference       : /PITC_6079A.pl/1.2/Thu Nov  4 13:56:22 2004//
// CVS Reference       : /WDTC_6080A.pl/1.3/Thu Nov  4 13:58:52 2004//
// CVS Reference       : /TC_6082A.pl/1.7/Wed Mar  9 16:31:51 2005//
// CVS Reference       : /MCI_6101E.pl/1.1/Fri Jun  3 13:20:23 2005//
// CVS Reference       : /TWI_6061A.pl/1.1/Tue Jul 13 06:38:23 2004//
// CVS Reference       : /US_6089C.pl/1.1/Mon Jan 31 13:56:02 2005//
// CVS Reference       : /SSC_6078A.pl/1.1/Tue Jul 13 07:10:41 2004//
// CVS Reference       : /SPI_6088D.pl/1.3/Fri May 20 14:23:02 2005//
// CVS Reference       : /AC97C_XXXX.pl/1.3/Tue Feb 22 17:08:27 2005//
// CVS Reference       : /CAN_6019B.pl/1.1/Mon Jan 31 13:54:30 2005//
// CVS Reference       : /PWM_6044D.pl/1.2/Tue May 10 12:39:09 2005//
// CVS Reference       : /LCDC_6063A.pl/1.2/Wed Nov 24 15:55:51 2004//
// CVS Reference       : /EMACB_6119A.pl/1.6/Wed Jul 13 15:25:00 2005//
// CVS Reference       : /GPS_XXXX.pl/1.8/Mon Apr  4 07:07:48 2005//
// CVS Reference       : /DMA_XXXX.pl/1.6/Tue Jan 11 09:40:44 2005//
// CVS Reference       : /OTG_XXXX.pl/1.10/Tue Jan  4 09:02:15 2005//
// CVS Reference       : /UDP_6083C.pl/1.2/Tue May 10 12:40:17 2005//
// CVS Reference       : /UHP_6127A.pl/1.1/Wed Feb 23 16:03:17 2005//
// CVS Reference       : /TBOX_XXXX.pl/1.15/Thu Jun  9 07:05:57 2005//
// CVS Reference       : /EBI_nadia2.pl/1.1/Wed Dec 29 11:28:03 2004//
// CVS Reference       : /AES_6149A.pl/1.10/Mon Feb  7 09:46:08 2005//
// CVS Reference       : /HECC_6143A.pl/1.1/Wed Feb  9 17:16:57 2005//
// CVS Reference       : /ISI_xxxxx.pl/1.3/Thu Mar  3 11:11:48 2005//
//  ----------------------------------------------------------------------------

#ifndef AT91SAM9263_H
#define AT91SAM9263_H

//The following values is for AT91SAM9263 only

/// Processor Name
#define IOCTL_PROCESSOR_NAME                (L"AT91SAM9263")
// NB_PIO_BANK is used in the 'generic' OAL to parse the different PIO banks. 
#define NB_PIO_BANK	5
// Mask for USB Host clocks 
#define AT91C_PMC_UHP_MASK (AT91C_PMC_UHP)

//RTT
#define AT91C_BASE_RTTC	AT91C_BASE_RTTC0
#define AT91C_SYS_GPBR0	AT91C_SYS_GPBR

// ========== Register definition for SYS peripheral ========== 
#define AT91C_SYS_ECC1  ((AT91_REG *) 	0xFFFFE600) // (SYS) ECC 0
#define AT91C_SYS_ECC0  ((AT91_REG *) 	0xFFFFE000) // (SYS) ECC 0
#define AT91C_SYS_GPBR  ((AT91_REG *) 	0xFFFFFD60) // (SYS) General Purpose Register

// *****************************************************************************
//               PIO DEFINITIONS FOR AT91SAM9263
// *****************************************************************************
#define AT91C_PIO_PA0        ((unsigned int) 1 <<  0) // Pin Controlled by PA0
#define AT91C_PA0_MCI0_DA0 ((unsigned int) AT91C_PIO_PA0) //  
#define AT91C_PA0_SPI0_MISO ((unsigned int) AT91C_PIO_PA0) //  
#define AT91C_PIO_PA1        ((unsigned int) 1 <<  1) // Pin Controlled by PA1
#define AT91C_PA1_MCI0_CDA ((unsigned int) AT91C_PIO_PA1) //  
#define AT91C_PA1_SPI0_MOSI ((unsigned int) AT91C_PIO_PA1) //  
#define AT91C_PIO_PA10       ((unsigned int) 1 << 10) // Pin Controlled by PA10
#define AT91C_PA10_MCI1_DA2 ((unsigned int) AT91C_PIO_PA10) //  
#define AT91C_PIO_PA11       ((unsigned int) 1 << 11) // Pin Controlled by PA11
#define AT91C_PA11_MCI1_DA3 ((unsigned int) AT91C_PIO_PA11) //  
#define AT91C_PIO_PA12       ((unsigned int) 1 << 12) // Pin Controlled by PA12
#define AT91C_PA12_MCI0_CK  ((unsigned int) AT91C_PIO_PA12) //  
#define AT91C_PIO_PA13       ((unsigned int) 1 << 13) // Pin Controlled by PA13
#define AT91C_PA13_CANTX    ((unsigned int) AT91C_PIO_PA13) //  
#define AT91C_PA13_PCK0     ((unsigned int) AT91C_PIO_PA13) //  
#define AT91C_PIO_PA14       ((unsigned int) 1 << 14) // Pin Controlled by PA14
#define AT91C_PA14_CANRX    ((unsigned int) AT91C_PIO_PA14) //  
#define AT91C_PA14_IRQ0     ((unsigned int) AT91C_PIO_PA14) //  
#define AT91C_PIO_PA15       ((unsigned int) 1 << 15) // Pin Controlled by PA15
#define AT91C_PA15_TCLK2    ((unsigned int) AT91C_PIO_PA15) //  
#define AT91C_PA15_IRQ1     ((unsigned int) AT91C_PIO_PA15) //  
#define AT91C_PIO_PA16       ((unsigned int) 1 << 16) // Pin Controlled by PA16
#define AT91C_PA16_MCI0_CDB ((unsigned int) AT91C_PIO_PA16) //  
#define AT91C_PA16_EBI1_D16 ((unsigned int) AT91C_PIO_PA16) //  
#define AT91C_PIO_PA17       ((unsigned int) 1 << 17) // Pin Controlled by PA17
#define AT91C_PA17_MCI0_DB0 ((unsigned int) AT91C_PIO_PA17) //  
#define AT91C_PA17_EBI1_D17 ((unsigned int) AT91C_PIO_PA17) //  
#define AT91C_PIO_PA18       ((unsigned int) 1 << 18) // Pin Controlled by PA18
#define AT91C_PA18_MCI0_DB1 ((unsigned int) AT91C_PIO_PA18) //  
#define AT91C_PA18_EBI1_D18 ((unsigned int) AT91C_PIO_PA18) //  
#define AT91C_PIO_PA19       ((unsigned int) 1 << 19) // Pin Controlled by PA19
#define AT91C_PA19_MCI0_DB2 ((unsigned int) AT91C_PIO_PA19) //  
#define AT91C_PA19_EBI1_D19 ((unsigned int) AT91C_PIO_PA19) //  
#define AT91C_PIO_PA2        ((unsigned int) 1 <<  2) // Pin Controlled by PA2
#define AT91C_PA2_UNCONNECTED_PA2_A ((unsigned int) AT91C_PIO_PA2) //  
#define AT91C_PA2_SPI0_SPCK ((unsigned int) AT91C_PIO_PA2) //  
#define AT91C_PIO_PA20       ((unsigned int) 1 << 20) // Pin Controlled by PA20
#define AT91C_PA20_MCI0_DB3 ((unsigned int) AT91C_PIO_PA20) //  
#define AT91C_PA20_EBI1_D20 ((unsigned int) AT91C_PIO_PA20) //  
#define AT91C_PIO_PA21       ((unsigned int) 1 << 21) // Pin Controlled by PA21
#define AT91C_PA21_MCI1_CDB ((unsigned int) AT91C_PIO_PA21) //  
#define AT91C_PA21_EBI1_D21 ((unsigned int) AT91C_PIO_PA21) //  
#define AT91C_PIO_PA22       ((unsigned int) 1 << 22) // Pin Controlled by PA22
#define AT91C_PA22_MCI1_DB0 ((unsigned int) AT91C_PIO_PA22) //  
#define AT91C_PA22_EBI1_D22 ((unsigned int) AT91C_PIO_PA22) //  
#define AT91C_PIO_PA23       ((unsigned int) 1 << 23) // Pin Controlled by PA23
#define AT91C_PA23_MCI1_DB1 ((unsigned int) AT91C_PIO_PA23) //  
#define AT91C_PA23_EBI1_D23 ((unsigned int) AT91C_PIO_PA23) //  
#define AT91C_PIO_PA24       ((unsigned int) 1 << 24) // Pin Controlled by PA24
#define AT91C_PA24_MCI1_DB2 ((unsigned int) AT91C_PIO_PA24) //  
#define AT91C_PA24_EBI1_D24 ((unsigned int) AT91C_PIO_PA24) //  
#define AT91C_PIO_PA25       ((unsigned int) 1 << 25) // Pin Controlled by PA25
#define AT91C_PA25_MCI1_DB3 ((unsigned int) AT91C_PIO_PA25) //  
#define AT91C_PA25_EBI1_D25 ((unsigned int) AT91C_PIO_PA25) //  
#define AT91C_PIO_PA26       ((unsigned int) 1 << 26) // Pin Controlled by PA26
#define AT91C_PA26_TXD0     ((unsigned int) AT91C_PIO_PA26) //  
#define AT91C_PA26_EBI1_D26 ((unsigned int) AT91C_PIO_PA26) //  
#define AT91C_PIO_PA27       ((unsigned int) 1 << 27) // Pin Controlled by PA27
#define AT91C_PA27_RXD0     ((unsigned int) AT91C_PIO_PA27) //  
#define AT91C_PA27_EBI1_D27 ((unsigned int) AT91C_PIO_PA27) //  
#define AT91C_PIO_PA28       ((unsigned int) 1 << 28) // Pin Controlled by PA28
#define AT91C_PA28_RTS0     ((unsigned int) AT91C_PIO_PA28) //  
#define AT91C_PA28_EBI1_D28 ((unsigned int) AT91C_PIO_PA28) //  
#define AT91C_PIO_PA29       ((unsigned int) 1 << 29) // Pin Controlled by PA29
#define AT91C_PA29_CTS0     ((unsigned int) AT91C_PIO_PA29) //  
#define AT91C_PA29_EBI1_D29 ((unsigned int) AT91C_PIO_PA29) //  
#define AT91C_PIO_PA3        ((unsigned int) 1 <<  3) // Pin Controlled by PA3
#define AT91C_PA3_MCI0_DA1 ((unsigned int) AT91C_PIO_PA3) //  
#define AT91C_PA3_SPI0_NPCS1 ((unsigned int) AT91C_PIO_PA3) //  
#define AT91C_PIO_PA30       ((unsigned int) 1 << 30) // Pin Controlled by PA30
#define AT91C_PA30_SCK0     ((unsigned int) AT91C_PIO_PA30) //  
#define AT91C_PA30_EBI1_D30 ((unsigned int) AT91C_PIO_PA30) //  
#define AT91C_PIO_PA31       ((unsigned int) 1 << 31) // Pin Controlled by PA31
#define AT91C_PA31_DMARQ0   ((unsigned int) AT91C_PIO_PA31) //  
#define AT91C_PA31_EBI1_D31 ((unsigned int) AT91C_PIO_PA31) //  
#define AT91C_PIO_PA4        ((unsigned int) 1 <<  4) // Pin Controlled by PA4
#define AT91C_PA4_MCI0_DA2 ((unsigned int) AT91C_PIO_PA4) //  
#define AT91C_PA4_SPI0_NPCS2A ((unsigned int) AT91C_PIO_PA4) //  
#define AT91C_PIO_PA5        ((unsigned int) 1 <<  5) // Pin Controlled by PA5
#define AT91C_PA5_MCI0_DA3 ((unsigned int) AT91C_PIO_PA5) //  
#define AT91C_PA5_SPI0_NPCS0 ((unsigned int) AT91C_PIO_PA5) //  
#define AT91C_PIO_PA6        ((unsigned int) 1 <<  6) // Pin Controlled by PA6
#define AT91C_PA6_MCI1_CK  ((unsigned int) AT91C_PIO_PA6) //  
#define AT91C_PA6_PCK2     ((unsigned int) AT91C_PIO_PA6) //  
#define AT91C_PIO_PA7        ((unsigned int) 1 <<  7) // Pin Controlled by PA7
#define AT91C_PA7_MCI1_CDA ((unsigned int) AT91C_PIO_PA7) //  
#define AT91C_PIO_PA8        ((unsigned int) 1 <<  8) // Pin Controlled by PA8
#define AT91C_PA8_MCI1_DA0 ((unsigned int) AT91C_PIO_PA8) //  
#define AT91C_PIO_PA9        ((unsigned int) 1 <<  9) // Pin Controlled by PA9
#define AT91C_PA9_MCI1_DA1 ((unsigned int) AT91C_PIO_PA9) //  
#define AT91C_PIO_PB0        ((unsigned int) 1 <<  0) // Pin Controlled by PB0
#define AT91C_PB0_AC97FS   ((unsigned int) AT91C_PIO_PB0) //  
#define AT91C_PB0_TF0      ((unsigned int) AT91C_PIO_PB0) //  
#define AT91C_PIO_PB1        ((unsigned int) 1 <<  1) // Pin Controlled by PB1
#define AT91C_PB1_AC97CK   ((unsigned int) AT91C_PIO_PB1) //  
#define AT91C_PB1_TK0      ((unsigned int) AT91C_PIO_PB1) //  
#define AT91C_PIO_PB10       ((unsigned int) 1 << 10) // Pin Controlled by PB10
#define AT91C_PB10_RK1      ((unsigned int) AT91C_PIO_PB10) //  
#define AT91C_PB10_PCK1     ((unsigned int) AT91C_PIO_PB10) //  
#define AT91C_PIO_PB11       ((unsigned int) 1 << 11) // Pin Controlled by PB11
#define AT91C_PB11_RF1      ((unsigned int) AT91C_PIO_PB11) //  
#define AT91C_PB11_SPI0_NPCS3B ((unsigned int) AT91C_PIO_PB11) //  
#define AT91C_PIO_PB12       ((unsigned int) 1 << 12) // Pin Controlled by PB12
#define AT91C_PB12_SPI1_MISO ((unsigned int) AT91C_PIO_PB12) //  
#define AT91C_PIO_PB13       ((unsigned int) 1 << 13) // Pin Controlled by PB13
#define AT91C_PB13_SPI1_MOSI ((unsigned int) AT91C_PIO_PB13) //  
#define AT91C_PIO_PB14       ((unsigned int) 1 << 14) // Pin Controlled by PB14
#define AT91C_PB14_SPI1_SPCK ((unsigned int) AT91C_PIO_PB14) //  
#define AT91C_PIO_PB15       ((unsigned int) 1 << 15) // Pin Controlled by PB15
#define AT91C_PB15_SPI1_NPCS0 ((unsigned int) AT91C_PIO_PB15) //  
#define AT91C_PIO_PB16       ((unsigned int) 1 << 16) // Pin Controlled by PB16
#define AT91C_PB16_SPI1_NPCS1 ((unsigned int) AT91C_PIO_PB16) //  
#define AT91C_PB16_PCK1     ((unsigned int) AT91C_PIO_PB16) //  
#define AT91C_PIO_PB17       ((unsigned int) 1 << 17) // Pin Controlled by PB17
#define AT91C_PB17_SPI1_NPCS2B ((unsigned int) AT91C_PIO_PB17) //  
#define AT91C_PB17_TIOA2    ((unsigned int) AT91C_PIO_PB17) //  
#define AT91C_PIO_PB18       ((unsigned int) 1 << 18) // Pin Controlled by PB18
#define AT91C_PB18_SPI1_NPCS3B ((unsigned int) AT91C_PIO_PB18) //  
#define AT91C_PB18_TIOB2    ((unsigned int) AT91C_PIO_PB18) //  
#define AT91C_PIO_PB19       ((unsigned int) 1 << 19) // Pin Controlled by PB19
#define AT91C_PB19_LVRST    ((unsigned int) AT91C_PIO_PB19) //  
#define AT91C_PIO_PB2        ((unsigned int) 1 <<  2) // Pin Controlled by PB2
#define AT91C_PB2_AC97TX   ((unsigned int) AT91C_PIO_PB2) //  
#define AT91C_PB2_TD0      ((unsigned int) AT91C_PIO_PB2) //  
#define AT91C_PIO_PB20       ((unsigned int) 1 << 20) // Pin Controlled by PB20
#define AT91C_PB20_CKSYNC   ((unsigned int) AT91C_PIO_PB20) //  
#define AT91C_PIO_PB21       ((unsigned int) 1 << 21) // Pin Controlled by PB21
#define AT91C_PB21_PCTL0    ((unsigned int) AT91C_PIO_PB21) //  
#define AT91C_PIO_PB22       ((unsigned int) 1 << 22) // Pin Controlled by PB22
#define AT91C_PB22_CKDAT    ((unsigned int) AT91C_PIO_PB22) //  
#define AT91C_PIO_PB23       ((unsigned int) 1 << 23) // Pin Controlled by PB23
#define AT91C_PB23_GPSSYNC  ((unsigned int) AT91C_PIO_PB23) //  
#define AT91C_PIO_PB24       ((unsigned int) 1 << 24) // Pin Controlled by PB24
#define AT91C_PB24_OTG_SE0_VM ((unsigned int) AT91C_PIO_PB24) //  
#define AT91C_PB24_DMARQ3   ((unsigned int) AT91C_PIO_PB24) //  
#define AT91C_PIO_PB25       ((unsigned int) 1 << 25) // Pin Controlled by PB25
#define AT91C_PB25_OTG_DAT_VP ((unsigned int) AT91C_PIO_PB25) //  
#define AT91C_PIO_PB26       ((unsigned int) 1 << 26) // Pin Controlled by PB26
#define AT91C_PB26_OTGTP_OE ((unsigned int) AT91C_PIO_PB26) //  
#define AT91C_PIO_PB27       ((unsigned int) 1 << 27) // Pin Controlled by PB27
#define AT91C_PB27_OTGRCV   ((unsigned int) AT91C_PIO_PB27) //  
#define AT91C_PB27_PWM2     ((unsigned int) AT91C_PIO_PB27) //  
#define AT91C_PIO_PB28       ((unsigned int) 1 << 28) // Pin Controlled by PB28
#define AT91C_PB28_OTGSUSPEND ((unsigned int) AT91C_PIO_PB28) //  
#define AT91C_PB28_TCLK0    ((unsigned int) AT91C_PIO_PB28) //  
#define AT91C_PIO_PB29       ((unsigned int) 1 << 29) // Pin Controlled by PB29
#define AT91C_PB29_OTGINT   ((unsigned int) AT91C_PIO_PB29) //  
#define AT91C_PB29_PWM3     ((unsigned int) AT91C_PIO_PB29) //  
#define AT91C_PIO_PB3        ((unsigned int) 1 <<  3) // Pin Controlled by PB3
#define AT91C_PB3_AC97RX   ((unsigned int) AT91C_PIO_PB3) //  
#define AT91C_PB3_RD0      ((unsigned int) AT91C_PIO_PB3) //  
#define AT91C_PIO_PB30       ((unsigned int) 1 << 30) // Pin Controlled by PB30
#define AT91C_PB30_OTGTWD   ((unsigned int) AT91C_PIO_PB30) //  
#define AT91C_PIO_PB31       ((unsigned int) 1 << 31) // Pin Controlled by PB31
#define AT91C_PB31_OTGTWCK  ((unsigned int) AT91C_PIO_PB31) //  
#define AT91C_PIO_PB4        ((unsigned int) 1 <<  4) // Pin Controlled by PB4
#define AT91C_PB4_TWD      ((unsigned int) AT91C_PIO_PB4) //  
#define AT91C_PB4_RK0      ((unsigned int) AT91C_PIO_PB4) //  
#define AT91C_PIO_PB5        ((unsigned int) 1 <<  5) // Pin Controlled by PB5
#define AT91C_PB5_TWCK     ((unsigned int) AT91C_PIO_PB5) //  
#define AT91C_PB5_RF0      ((unsigned int) AT91C_PIO_PB5) //  
#define AT91C_PIO_PB6        ((unsigned int) 1 <<  6) // Pin Controlled by PB6
#define AT91C_PB6_TF1      ((unsigned int) AT91C_PIO_PB6) //  
#define AT91C_PB6_DMARQ1   ((unsigned int) AT91C_PIO_PB6) //  
#define AT91C_PIO_PB7        ((unsigned int) 1 <<  7) // Pin Controlled by PB7
#define AT91C_PB7_TK1      ((unsigned int) AT91C_PIO_PB7) //  
#define AT91C_PB7_PWM0     ((unsigned int) AT91C_PIO_PB7) //  
#define AT91C_PIO_PB8        ((unsigned int) 1 <<  8) // Pin Controlled by PB8
#define AT91C_PB8_TD1      ((unsigned int) AT91C_PIO_PB8) //  
#define AT91C_PB8_PWM1     ((unsigned int) AT91C_PIO_PB8) //  
#define AT91C_PIO_PB9        ((unsigned int) 1 <<  9) // Pin Controlled by PB9
#define AT91C_PB9_RD1      ((unsigned int) AT91C_PIO_PB9) //  
#define AT91C_PB9_LCDCC    ((unsigned int) AT91C_PIO_PB9) //  
#define AT91C_PIO_PC0        ((unsigned int) 1 <<  0) // Pin Controlled by PC0
#define AT91C_PC0_LCDVSYNC ((unsigned int) AT91C_PIO_PC0) //  
#define AT91C_PIO_PC1        ((unsigned int) 1 <<  1) // Pin Controlled by PC1
#define AT91C_PC1_LCDHSYNC ((unsigned int) AT91C_PIO_PC1) //  
#define AT91C_PIO_PC10       ((unsigned int) 1 << 10) // Pin Controlled by PC10
#define AT91C_PC10_LCDD6    ((unsigned int) AT91C_PIO_PC10) //  
#define AT91C_PC10_LCDD11B  ((unsigned int) AT91C_PIO_PC10) //  
#define AT91C_PIO_PC11       ((unsigned int) 1 << 11) // Pin Controlled by PC11
#define AT91C_PC11_LCDD7    ((unsigned int) AT91C_PIO_PC11) //  
#define AT91C_PC11_LCDD12B  ((unsigned int) AT91C_PIO_PC11) //  
#define AT91C_PIO_PC12       ((unsigned int) 1 << 12) // Pin Controlled by PC12
#define AT91C_PC12_LCDD8    ((unsigned int) AT91C_PIO_PC12) //  
#define AT91C_PC12_LCDD13B  ((unsigned int) AT91C_PIO_PC12) //  
#define AT91C_PIO_PC13       ((unsigned int) 1 << 13) // Pin Controlled by PC13
#define AT91C_PC13_LCDD9    ((unsigned int) AT91C_PIO_PC13) //  
#define AT91C_PC13_LCDD14B  ((unsigned int) AT91C_PIO_PC13) //  
#define AT91C_PIO_PC14       ((unsigned int) 1 << 14) // Pin Controlled by PC14
#define AT91C_PC14_LCDD10   ((unsigned int) AT91C_PIO_PC14) //  
#define AT91C_PC14_LCDD15B  ((unsigned int) AT91C_PIO_PC14) //  
#define AT91C_PIO_PC15       ((unsigned int) 1 << 15) // Pin Controlled by PC15
#define AT91C_PC15_LCDD11   ((unsigned int) AT91C_PIO_PC15) //  
#define AT91C_PC15_LCDD19B  ((unsigned int) AT91C_PIO_PC15) //  
#define AT91C_PIO_PC16       ((unsigned int) 1 << 16) // Pin Controlled by PC16
#define AT91C_PC16_LCDD12   ((unsigned int) AT91C_PIO_PC16) //  
#define AT91C_PC16_LCDD20B  ((unsigned int) AT91C_PIO_PC16) //  
#define AT91C_PIO_PC17       ((unsigned int) 1 << 17) // Pin Controlled by PC17
#define AT91C_PC17_LCDD13   ((unsigned int) AT91C_PIO_PC17) //  
#define AT91C_PC17_LCDD21B  ((unsigned int) AT91C_PIO_PC17) //  
#define AT91C_PIO_PC18       ((unsigned int) 1 << 18) // Pin Controlled by PC18
#define AT91C_PC18_LCDD14   ((unsigned int) AT91C_PIO_PC18) //  
#define AT91C_PC18_LCDD22B  ((unsigned int) AT91C_PIO_PC18) //  
#define AT91C_PIO_PC19       ((unsigned int) 1 << 19) // Pin Controlled by PC19
#define AT91C_PC19_LCDD15   ((unsigned int) AT91C_PIO_PC19) //  
#define AT91C_PC19_LCDD23B  ((unsigned int) AT91C_PIO_PC19) //  
#define AT91C_PIO_PC2        ((unsigned int) 1 <<  2) // Pin Controlled by PC2
#define AT91C_PC2_LCDDOTCK ((unsigned int) AT91C_PIO_PC2) //  
#define AT91C_PIO_PC20       ((unsigned int) 1 << 20) // Pin Controlled by PC20
#define AT91C_PC20_LCDD16   ((unsigned int) AT91C_PIO_PC20) //  
#define AT91C_PC20_E_TX2    ((unsigned int) AT91C_PIO_PC20) //  
#define AT91C_PIO_PC21       ((unsigned int) 1 << 21) // Pin Controlled by PC21
#define AT91C_PC21_LCDD17   ((unsigned int) AT91C_PIO_PC21) //  
#define AT91C_PC21_E_TX3    ((unsigned int) AT91C_PIO_PC21) //  
#define AT91C_PIO_PC22       ((unsigned int) 1 << 22) // Pin Controlled by PC22
#define AT91C_PC22_LCDD18   ((unsigned int) AT91C_PIO_PC22) //  
#define AT91C_PC22_E_RX2    ((unsigned int) AT91C_PIO_PC22) //  
#define AT91C_PIO_PC23       ((unsigned int) 1 << 23) // Pin Controlled by PC23
#define AT91C_PC23_LCDD19   ((unsigned int) AT91C_PIO_PC23) //  
#define AT91C_PC23_E_RX3    ((unsigned int) AT91C_PIO_PC23) //  
#define AT91C_PIO_PC24       ((unsigned int) 1 << 24) // Pin Controlled by PC24
#define AT91C_PC24_LCDD20   ((unsigned int) AT91C_PIO_PC24) //  
#define AT91C_PC24_E_TXER   ((unsigned int) AT91C_PIO_PC24) //  
#define AT91C_PIO_PC25       ((unsigned int) 1 << 25) // Pin Controlled by PC25
#define AT91C_PC25_LCDD21   ((unsigned int) AT91C_PIO_PC25) //  
#define AT91C_PC25_E_RXDV   ((unsigned int) AT91C_PIO_PC25) //  
#define AT91C_PIO_PC26       ((unsigned int) 1 << 26) // Pin Controlled by PC26
#define AT91C_PC26_LCDD22   ((unsigned int) AT91C_PIO_PC26) //  
#define AT91C_PC26_E_COL    ((unsigned int) AT91C_PIO_PC26) //  
#define AT91C_PIO_PC27       ((unsigned int) 1 << 27) // Pin Controlled by PC27
#define AT91C_PC27_LCDD23   ((unsigned int) AT91C_PIO_PC27) //  
#define AT91C_PC27_E_RXCK   ((unsigned int) AT91C_PIO_PC27) //  
#define AT91C_PIO_PC28       ((unsigned int) 1 << 28) // Pin Controlled by PC28
#define AT91C_PC28_PWM0     ((unsigned int) AT91C_PIO_PC28) //  
#define AT91C_PC28_TCLK1    ((unsigned int) AT91C_PIO_PC28) //  
#define AT91C_PIO_PC29       ((unsigned int) 1 << 29) // Pin Controlled by PC29
#define AT91C_PC29_PCK0     ((unsigned int) AT91C_PIO_PC29) //  
#define AT91C_PC29_PWM2     ((unsigned int) AT91C_PIO_PC29) //  
#define AT91C_PIO_PC3        ((unsigned int) 1 <<  3) // Pin Controlled by PC3
#define AT91C_PC3_LCDEN    ((unsigned int) AT91C_PIO_PC3) //  
#define AT91C_PC3_PWM1     ((unsigned int) AT91C_PIO_PC3) //  
#define AT91C_PIO_PC30       ((unsigned int) 1 << 30) // Pin Controlled by PC30
#define AT91C_PC30_DRXD     ((unsigned int) AT91C_PIO_PC30) //  
#define AT91C_PIO_PC31       ((unsigned int) 1 << 31) // Pin Controlled by PC31
#define AT91C_PC31_DTXD     ((unsigned int) AT91C_PIO_PC31) //  
#define AT91C_PIO_PC4        ((unsigned int) 1 <<  4) // Pin Controlled by PC4
#define AT91C_PC4_LCDD0    ((unsigned int) AT91C_PIO_PC4) //  
#define AT91C_PC4_LCDD3B   ((unsigned int) AT91C_PIO_PC4) //  
#define AT91C_PIO_PC5        ((unsigned int) 1 <<  5) // Pin Controlled by PC5
#define AT91C_PC5_LCDD1    ((unsigned int) AT91C_PIO_PC5) //  
#define AT91C_PC5_LCDD4B   ((unsigned int) AT91C_PIO_PC5) //  
#define AT91C_PIO_PC6        ((unsigned int) 1 <<  6) // Pin Controlled by PC6
#define AT91C_PC6_LCDD2    ((unsigned int) AT91C_PIO_PC6) //  
#define AT91C_PC6_LCDD5B   ((unsigned int) AT91C_PIO_PC6) //  
#define AT91C_PIO_PC7        ((unsigned int) 1 <<  7) // Pin Controlled by PC7
#define AT91C_PC7_LCDD3    ((unsigned int) AT91C_PIO_PC7) //  
#define AT91C_PC7_LCDD6B   ((unsigned int) AT91C_PIO_PC7) //  
#define AT91C_PIO_PC8        ((unsigned int) 1 <<  8) // Pin Controlled by PC8
#define AT91C_PC8_LCDD4    ((unsigned int) AT91C_PIO_PC8) //  
#define AT91C_PC8_LCDD7B   ((unsigned int) AT91C_PIO_PC8) //  
#define AT91C_PIO_PC9        ((unsigned int) 1 <<  9) // Pin Controlled by PC9
#define AT91C_PC9_LCDD5    ((unsigned int) AT91C_PIO_PC9) //  
#define AT91C_PC9_LCDD10B  ((unsigned int) AT91C_PIO_PC9) //  
#define AT91C_PIO_PD0        ((unsigned int) 1 <<  0) // Pin Controlled by PD0
#define AT91C_PD0_TXD1     ((unsigned int) AT91C_PIO_PD0) //  
#define AT91C_PD0_SPI0_NPCS2D ((unsigned int) AT91C_PIO_PD0) //  
#define AT91C_PIO_PD1        ((unsigned int) 1 <<  1) // Pin Controlled by PD1
#define AT91C_PD1_RXD1     ((unsigned int) AT91C_PIO_PD1) //  
#define AT91C_PD1_SPI0_NPCS3D ((unsigned int) AT91C_PIO_PD1) //  
#define AT91C_PIO_PD10       ((unsigned int) 1 << 10) // Pin Controlled by PD10
#define AT91C_PD10_UNCONNECTED_PD10_A ((unsigned int) AT91C_PIO_PD10) //  
#define AT91C_PD10_SCK1     ((unsigned int) AT91C_PIO_PD10) //  
#define AT91C_PIO_PD11       ((unsigned int) 1 << 11) // Pin Controlled by PD11
#define AT91C_PD11_EBI0_NCS2 ((unsigned int) AT91C_PIO_PD11) //  
#define AT91C_PD11_TSYNC    ((unsigned int) AT91C_PIO_PD11) //  
#define AT91C_PIO_PD12       ((unsigned int) 1 << 12) // Pin Controlled by PD12
#define AT91C_PD12_EBI0_A23 ((unsigned int) AT91C_PIO_PD12) //  
#define AT91C_PD12_TCLK     ((unsigned int) AT91C_PIO_PD12) //  
#define AT91C_PIO_PD13       ((unsigned int) 1 << 13) // Pin Controlled by PD13
#define AT91C_PD13_EBI0_A24 ((unsigned int) AT91C_PIO_PD13) //  
#define AT91C_PD13_TPS0     ((unsigned int) AT91C_PIO_PD13) //  
#define AT91C_PIO_PD14       ((unsigned int) 1 << 14) // Pin Controlled by PD14
#define AT91C_PD14_EBI0_A25_CFNRW ((unsigned int) AT91C_PIO_PD14) //  
#define AT91C_PD14_TPS1     ((unsigned int) AT91C_PIO_PD14) //  
#define AT91C_PIO_PD15       ((unsigned int) 1 << 15) // Pin Controlled by PD15
#define AT91C_PD15_EBI0_NCS3_NANDCS ((unsigned int) AT91C_PIO_PD15) //  
#define AT91C_PD15_TPS2     ((unsigned int) AT91C_PIO_PD15) //  
#define AT91C_PIO_PD16       ((unsigned int) 1 << 16) // Pin Controlled by PD16
#define AT91C_PD16_EBI0_D16 ((unsigned int) AT91C_PIO_PD16) //  
#define AT91C_PD16_TPK0     ((unsigned int) AT91C_PIO_PD16) //  
#define AT91C_PIO_PD17       ((unsigned int) 1 << 17) // Pin Controlled by PD17
#define AT91C_PD17_EBI0_D17 ((unsigned int) AT91C_PIO_PD17) //  
#define AT91C_PD17_TPK1     ((unsigned int) AT91C_PIO_PD17) //  
#define AT91C_PIO_PD18       ((unsigned int) 1 << 18) // Pin Controlled by PD18
#define AT91C_PD18_EBI0_D18 ((unsigned int) AT91C_PIO_PD18) //  
#define AT91C_PD18_TPK2     ((unsigned int) AT91C_PIO_PD18) //  
#define AT91C_PIO_PD19       ((unsigned int) 1 << 19) // Pin Controlled by PD19
#define AT91C_PD19_EBI0_D19 ((unsigned int) AT91C_PIO_PD19) //  
#define AT91C_PD19_TPK3     ((unsigned int) AT91C_PIO_PD19) //  
#define AT91C_PIO_PD2        ((unsigned int) 1 <<  2) // Pin Controlled by PD2
#define AT91C_PD2_TXD2     ((unsigned int) AT91C_PIO_PD2) //  
#define AT91C_PD2_SPI1_NPCS2D ((unsigned int) AT91C_PIO_PD2) //  
#define AT91C_PIO_PD20       ((unsigned int) 1 << 20) // Pin Controlled by PD20
#define AT91C_PD20_EBI0_D20 ((unsigned int) AT91C_PIO_PD20) //  
#define AT91C_PD20_TPK4     ((unsigned int) AT91C_PIO_PD20) //  
#define AT91C_PIO_PD21       ((unsigned int) 1 << 21) // Pin Controlled by PD21
#define AT91C_PD21_EBI0_D21 ((unsigned int) AT91C_PIO_PD21) //  
#define AT91C_PD21_TPK5     ((unsigned int) AT91C_PIO_PD21) //  
#define AT91C_PIO_PD22       ((unsigned int) 1 << 22) // Pin Controlled by PD22
#define AT91C_PD22_EBI0_D22 ((unsigned int) AT91C_PIO_PD22) //  
#define AT91C_PD22_TPK6     ((unsigned int) AT91C_PIO_PD22) //  
#define AT91C_PIO_PD23       ((unsigned int) 1 << 23) // Pin Controlled by PD23
#define AT91C_PD23_EBI0_D23 ((unsigned int) AT91C_PIO_PD23) //  
#define AT91C_PD23_TPK7     ((unsigned int) AT91C_PIO_PD23) //  
#define AT91C_PIO_PD24       ((unsigned int) 1 << 24) // Pin Controlled by PD24
#define AT91C_PD24_EBI0_D24 ((unsigned int) AT91C_PIO_PD24) //  
#define AT91C_PD24_TPK8     ((unsigned int) AT91C_PIO_PD24) //  
#define AT91C_PIO_PD25       ((unsigned int) 1 << 25) // Pin Controlled by PD25
#define AT91C_PD25_EBI0_D25 ((unsigned int) AT91C_PIO_PD25) //  
#define AT91C_PD25_TPK9     ((unsigned int) AT91C_PIO_PD25) //  
#define AT91C_PIO_PD26       ((unsigned int) 1 << 26) // Pin Controlled by PD26
#define AT91C_PD26_EBI0_D26 ((unsigned int) AT91C_PIO_PD26) //  
#define AT91C_PD26_TPK10    ((unsigned int) AT91C_PIO_PD26) //  
#define AT91C_PIO_PD27       ((unsigned int) 1 << 27) // Pin Controlled by PD27
#define AT91C_PD27_EBI0_D27 ((unsigned int) AT91C_PIO_PD27) //  
#define AT91C_PD27_TPK11    ((unsigned int) AT91C_PIO_PD27) //  
#define AT91C_PIO_PD28       ((unsigned int) 1 << 28) // Pin Controlled by PD28
#define AT91C_PD28_EBI0_D28 ((unsigned int) AT91C_PIO_PD28) //  
#define AT91C_PD28_TPK12    ((unsigned int) AT91C_PIO_PD28) //  
#define AT91C_PIO_PD29       ((unsigned int) 1 << 29) // Pin Controlled by PD29
#define AT91C_PD29_EBI0_D29 ((unsigned int) AT91C_PIO_PD29) //  
#define AT91C_PD29_TPK13    ((unsigned int) AT91C_PIO_PD29) //  
#define AT91C_PIO_PD3        ((unsigned int) 1 <<  3) // Pin Controlled by PD3
#define AT91C_PD3_RXD2     ((unsigned int) AT91C_PIO_PD3) //  
#define AT91C_PD3_SPI1_NPCS3D ((unsigned int) AT91C_PIO_PD3) //  
#define AT91C_PIO_PD30       ((unsigned int) 1 << 30) // Pin Controlled by PD30
#define AT91C_PD30_EBI0_D30 ((unsigned int) AT91C_PIO_PD30) //  
#define AT91C_PD30_TPK14    ((unsigned int) AT91C_PIO_PD30) //  
#define AT91C_PIO_PD31       ((unsigned int) 1 << 31) // Pin Controlled by PD31
#define AT91C_PD31_EBI0_D31 ((unsigned int) AT91C_PIO_PD31) //  
#define AT91C_PD31_TPK15    ((unsigned int) AT91C_PIO_PD31) //  
#define AT91C_PIO_PD4        ((unsigned int) 1 <<  4) // Pin Controlled by PD4
#define AT91C_PD4_FIQ      ((unsigned int) AT91C_PIO_PD4) //  
#define AT91C_PD4_DMARQ2   ((unsigned int) AT91C_PIO_PD4) //  
#define AT91C_PIO_PD5        ((unsigned int) 1 <<  5) // Pin Controlled by PD5
#define AT91C_PD5_EBI0_NWAIT ((unsigned int) AT91C_PIO_PD5) //  
#define AT91C_PD5_RTS2     ((unsigned int) AT91C_PIO_PD5) //  
#define AT91C_PIO_PD6        ((unsigned int) 1 <<  6) // Pin Controlled by PD6
#define AT91C_PD6_EBI0_NCS4_CFCS0 ((unsigned int) AT91C_PIO_PD6) //  
#define AT91C_PD6_CTS2     ((unsigned int) AT91C_PIO_PD6) //  
#define AT91C_PIO_PD7        ((unsigned int) 1 <<  7) // Pin Controlled by PD7
#define AT91C_PD7_EBI0_NCS5_CFCS1 ((unsigned int) AT91C_PIO_PD7) //  
#define AT91C_PD7_RTS1     ((unsigned int) AT91C_PIO_PD7) //  
#define AT91C_PIO_PD8        ((unsigned int) 1 <<  8) // Pin Controlled by PD8
#define AT91C_PD8_EBI0_CFCE1 ((unsigned int) AT91C_PIO_PD8) //  
#define AT91C_PD8_CTS1     ((unsigned int) AT91C_PIO_PD8) //  
#define AT91C_PIO_PD9        ((unsigned int) 1 <<  9) // Pin Controlled by PD9
#define AT91C_PD9_EBI0_CFCE2 ((unsigned int) AT91C_PIO_PD9) //  
#define AT91C_PD9_SCK2     ((unsigned int) AT91C_PIO_PD9) //  
#define AT91C_PIO_PE0        ((unsigned int) 1 <<  0) // Pin Controlled by PE0
#define AT91C_PE0_ISI_D0   ((unsigned int) AT91C_PIO_PE0) //  
#define AT91C_PE0_DRFIN0   ((unsigned int) AT91C_PIO_PE0) //  GPS Digital RF Input sigi_a0
#define AT91C_PIO_PE1        ((unsigned int) 1 <<  1) // Pin Controlled by PE1
#define AT91C_PE1_ISI_D1   ((unsigned int) AT91C_PIO_PE1) //  
#define AT91C_PE1_DRFIN1   ((unsigned int) AT91C_PIO_PE1) //  GPS Digital RF Input sigi_a1
#define AT91C_PIO_PE10       ((unsigned int) 1 << 10) // Pin Controlled by PE10
#define AT91C_PE10_ISI_VSYNC ((unsigned int) AT91C_PIO_PE10) //  
#define AT91C_PE10_PWM3     ((unsigned int) AT91C_PIO_PE10) //  
#define AT91C_PIO_PE11       ((unsigned int) 1 << 11) // Pin Controlled by PE11
#define AT91C_PE11_ISI_MCK  ((unsigned int) AT91C_PIO_PE11) //  
#define AT91C_PE11_PCK3     ((unsigned int) AT91C_PIO_PE11) //  
#define AT91C_PIO_PE12       ((unsigned int) 1 << 12) // Pin Controlled by PE12
#define AT91C_PE12_KBDR0    ((unsigned int) AT91C_PIO_PE12) //  
#define AT91C_PE12_ISI_D8   ((unsigned int) AT91C_PIO_PE12) //  
#define AT91C_PIO_PE13       ((unsigned int) 1 << 13) // Pin Controlled by PE13
#define AT91C_PE13_KBDR1    ((unsigned int) AT91C_PIO_PE13) //  
#define AT91C_PE13_ISI_D9   ((unsigned int) AT91C_PIO_PE13) //  
#define AT91C_PIO_PE14       ((unsigned int) 1 << 14) // Pin Controlled by PE14
#define AT91C_PE14_KBDR2    ((unsigned int) AT91C_PIO_PE14) //  
#define AT91C_PE14_ISI_D10  ((unsigned int) AT91C_PIO_PE14) //  
#define AT91C_PIO_PE15       ((unsigned int) 1 << 15) // Pin Controlled by PE15
#define AT91C_PE15_KBDR3    ((unsigned int) AT91C_PIO_PE15) //  
#define AT91C_PE15_ISI_D11  ((unsigned int) AT91C_PIO_PE15) //  
#define AT91C_PIO_PE16       ((unsigned int) 1 << 16) // Pin Controlled by PE16
#define AT91C_PE16_KBDR4    ((unsigned int) AT91C_PIO_PE16) //  
#define AT91C_PIO_PE17       ((unsigned int) 1 << 17) // Pin Controlled by PE17
#define AT91C_PE17_KBDC0    ((unsigned int) AT91C_PIO_PE17) //  
#define AT91C_PIO_PE18       ((unsigned int) 1 << 18) // Pin Controlled by PE18
#define AT91C_PE18_KBDC1    ((unsigned int) AT91C_PIO_PE18) //  
#define AT91C_PE18_TIOA0    ((unsigned int) AT91C_PIO_PE18) //  
#define AT91C_PIO_PE19       ((unsigned int) 1 << 19) // Pin Controlled by PE19
#define AT91C_PE19_KBDC2    ((unsigned int) AT91C_PIO_PE19) //  
#define AT91C_PE19_TIOB0    ((unsigned int) AT91C_PIO_PE19) //  
#define AT91C_PIO_PE2        ((unsigned int) 1 <<  2) // Pin Controlled by PE2
#define AT91C_PE2_ISI_D2   ((unsigned int) AT91C_PIO_PE2) //  
#define AT91C_PE2_DRFIN2   ((unsigned int) AT91C_PIO_PE2) //  GPS Digital RF Input sigq_a0
#define AT91C_PIO_PE20       ((unsigned int) 1 << 20) // Pin Controlled by PE20
#define AT91C_PE20_KBDC3    ((unsigned int) AT91C_PIO_PE20) //  
#define AT91C_PE20_EBI1_NWAIT ((unsigned int) AT91C_PIO_PE20) //  
#define AT91C_PIO_PE21       ((unsigned int) 1 << 21) // Pin Controlled by PE21
#define AT91C_PE21_E_TXCK   ((unsigned int) AT91C_PIO_PE21) //  
#define AT91C_PE21_EBI1_NANDWE ((unsigned int) AT91C_PIO_PE21) //  
#define AT91C_PIO_PE22       ((unsigned int) 1 << 22) // Pin Controlled by PE22
#define AT91C_PE22_E_CRS    ((unsigned int) AT91C_PIO_PE22) //  
#define AT91C_PE22_EBI1_NCS2_NANDCS ((unsigned int) AT91C_PIO_PE22) //  
#define AT91C_PIO_PE23       ((unsigned int) 1 << 23) // Pin Controlled by PE23
#define AT91C_PE23_E_TX0    ((unsigned int) AT91C_PIO_PE23) //  
#define AT91C_PE23_EBI1_NANDOE ((unsigned int) AT91C_PIO_PE23) //  
#define AT91C_PIO_PE24       ((unsigned int) 1 << 24) // Pin Controlled by PE24
#define AT91C_PE24_E_TX1    ((unsigned int) AT91C_PIO_PE24) //  
#define AT91C_PE24_EBI1_NWR3_NBS3 ((unsigned int) AT91C_PIO_PE24) //  
#define AT91C_PIO_PE25       ((unsigned int) 1 << 25) // Pin Controlled by PE25
#define AT91C_PE25_E_RX0    ((unsigned int) AT91C_PIO_PE25) //  
#define AT91C_PE25_EBI1_NCS1_SDCS ((unsigned int) AT91C_PIO_PE25) //  
#define AT91C_PIO_PE26       ((unsigned int) 1 << 26) // Pin Controlled by PE26
#define AT91C_PE26_E_RX1    ((unsigned int) AT91C_PIO_PE26) //  
#define AT91C_PIO_PE27       ((unsigned int) 1 << 27) // Pin Controlled by PE27
#define AT91C_PE27_E_RXER   ((unsigned int) AT91C_PIO_PE27) //  
#define AT91C_PE27_EBI1_SDCKE ((unsigned int) AT91C_PIO_PE27) //  
#define AT91C_PIO_PE28       ((unsigned int) 1 << 28) // Pin Controlled by PE28
#define AT91C_PE28_E_TXEN   ((unsigned int) AT91C_PIO_PE28) //  
#define AT91C_PE28_EBI1_RAS ((unsigned int) AT91C_PIO_PE28) //  
#define AT91C_PIO_PE29       ((unsigned int) 1 << 29) // Pin Controlled by PE29
#define AT91C_PE29_E_MDC    ((unsigned int) AT91C_PIO_PE29) //  
#define AT91C_PE29_EBI1_CAS ((unsigned int) AT91C_PIO_PE29) //  
#define AT91C_PIO_PE3        ((unsigned int) 1 <<  3) // Pin Controlled by PE3
#define AT91C_PE3_ISI_D3   ((unsigned int) AT91C_PIO_PE3) //  
#define AT91C_PE3_DRFIN3   ((unsigned int) AT91C_PIO_PE3) //  GPS Digital RF Input sigq_a1
#define AT91C_PIO_PE30       ((unsigned int) 1 << 30) // Pin Controlled by PE30
#define AT91C_PE30_E_MDIO   ((unsigned int) AT91C_PIO_PE30) //  
#define AT91C_PE30_EBI1_SDWE ((unsigned int) AT91C_PIO_PE30) //  
#define AT91C_PIO_PE31       ((unsigned int) 1 << 31) // Pin Controlled by PE31
#define AT91C_PE31_E_F100   ((unsigned int) AT91C_PIO_PE31) //  
#define AT91C_PE31_EBI1_SDA10 ((unsigned int) AT91C_PIO_PE31) //  
#define AT91C_PIO_PE4        ((unsigned int) 1 <<  4) // Pin Controlled by PE4
#define AT91C_PE4_ISI_D4   ((unsigned int) AT91C_PIO_PE4) //  
#define AT91C_PE4_DRFIN4   ((unsigned int) AT91C_PIO_PE4) //  GPS Digital RF Input sigi_b0
#define AT91C_PIO_PE5        ((unsigned int) 1 <<  5) // Pin Controlled by PE5
#define AT91C_PE5_ISI_D5   ((unsigned int) AT91C_PIO_PE5) //  
#define AT91C_PE5_DRFIN5   ((unsigned int) AT91C_PIO_PE5) //  GPS Digital RF Input sigi_b1
#define AT91C_PIO_PE6        ((unsigned int) 1 <<  6) // Pin Controlled by PE6
#define AT91C_PE6_ISI_D6   ((unsigned int) AT91C_PIO_PE6) //  
#define AT91C_PE6_DRFIN6   ((unsigned int) AT91C_PIO_PE6) //  GPS Digital RF Input sigq_b0
#define AT91C_PIO_PE7        ((unsigned int) 1 <<  7) // Pin Controlled by PE7
#define AT91C_PE7_ISI_D7   ((unsigned int) AT91C_PIO_PE7) //  
#define AT91C_PE7_DRFIN7   ((unsigned int) AT91C_PIO_PE7) //  GPS Digital RF Input sigq_b1
#define AT91C_PIO_PE8        ((unsigned int) 1 <<  8) // Pin Controlled by PE8
#define AT91C_PE8_ISI_PCK  ((unsigned int) AT91C_PIO_PE8) //  
#define AT91C_PE8_TIOA1    ((unsigned int) AT91C_PIO_PE8) //  
#define AT91C_PIO_PE9        ((unsigned int) 1 <<  9) // Pin Controlled by PE9
#define AT91C_PE9_ISI_HSYNC ((unsigned int) AT91C_PIO_PE9) //  
#define AT91C_PE9_TIOB1    ((unsigned int) AT91C_PIO_PE9) //  



// *****************************************************************************
//               PERIPHERAL ID DEFINITIONS FOR AT91SAM9263
// *****************************************************************************
#define AT91C_ID_FIQ    ((unsigned int)  0) // Advanced Interrupt Controller (FIQ)
#define AT91C_ID_SYS    ((unsigned int)  1) // System Controller
#define AT91C_ID_PIOA   ((unsigned int)  2) // Parallel IO Controller A
#define AT91C_ID_PIOB   ((unsigned int)  3) // Parallel IO Controller B
#define AT91C_ID_PIOCDE ((unsigned int)  4) // Parallel IO Controller C, Parallel IO Controller D, Parallel IO Controller E
#define AT91C_ID_AES    ((unsigned int)  5) // Advanced Encryption Standard
#define AT91C_ID_US0    ((unsigned int)  7) // USART 0
#define AT91C_ID_US1    ((unsigned int)  8) // USART 1
#define AT91C_ID_US2    ((unsigned int)  9) // USART 2
#define AT91C_ID_MCI0   ((unsigned int) 10) // Multimedia Card Interface 0
#define AT91C_ID_MCI1   ((unsigned int) 11) // Multimedia Card Interface 1
#define AT91C_ID_CAN    ((unsigned int) 12) // CAN Controller
#define AT91C_ID_TWI    ((unsigned int) 13) // Two-Wire Interface
#define AT91C_ID_SPI0   ((unsigned int) 14) // Serial Peripheral Interface 0
#define AT91C_ID_SPI1   ((unsigned int) 15) // Serial Peripheral Interface 1
#define AT91C_ID_SSC0   ((unsigned int) 16) // Serial Synchronous Controller 0
#define AT91C_ID_SSC1   ((unsigned int) 17) // Serial Synchronous Controller 1
#define AT91C_ID_AC97C  ((unsigned int) 18) // AC97 Controller
#define AT91C_ID_TC012  ((unsigned int) 19) // Timer Counter 0, Timer Counter 1, Timer Counter 2
#define AT91C_ID_PWMC   ((unsigned int) 20) // PWM Controller
#define AT91C_ID_EMAC   ((unsigned int) 21) // Ethernet Mac
#define AT91C_ID_GPS    ((unsigned int) 22) // GPS engine
#define AT91C_ID_2DGE   ((unsigned int) 23) // 2D Graphic Engine
#define AT91C_ID_UDP    ((unsigned int) 24) // USB Device Port
#define AT91C_ID_HISI   ((unsigned int) 25) // Image Sensor Interface
#define AT91C_ID_LCDC   ((unsigned int) 26) // LCD Controller
#define AT91C_ID_DMA    ((unsigned int) 27) // DMA Controller
#define AT91C_ID_OTG    ((unsigned int) 28) // USB OTG Controller
#define AT91C_ID_UHP    ((unsigned int) 29) // USB Host Port
#define AT91C_ID_IRQ0   ((unsigned int) 30) // Advanced Interrupt Controller (IRQ0)
#define AT91C_ID_IRQ1   ((unsigned int) 31) // Advanced Interrupt Controller (IRQ1)
#define AT91C_ALL_INT   ((unsigned int) 0xFF7FFFBF) // ALL VALID INTERRUPTS



// *****************************************************************************
//               BASE ADDRESS DEFINITIONS FOR AT91SAM9263
// *****************************************************************************
#define AT91C_BASE_SYS       ((AT91PS_SYS) 	0xFFFFE000) // (SYS) Base Address
#define AT91C_BASE_EBI0      ((AT91PS_EBI0) 	0xFFFFE200) // (EBI0) Base Address
#define AT91C_BASE_SDRAMC0   ((AT91PS_SDRAMC) 	0xFFFFE200) // (SDRAMC0) Base Address
#define AT91C_BASE_SMC0      ((AT91PS_SMC) 	0xFFFFE400) // (SMC0) Base Address
#define AT91C_BASE_EBI1      ((AT91PS_EBI1) 	0xFFFFE800) // (EBI1) Base Address
#define AT91C_BASE_SDRAMC1   ((AT91PS_SDRAMC) 	0xFFFFE800) // (SDRAMC1) Base Address
#define AT91C_BASE_SMC1      ((AT91PS_SMC) 	0xFFFFEA00) // (SMC1) Base Address
#define AT91C_BASE_MATRIX    ((AT91PS_MATRIX) 	0xFFFFEC00) // (MATRIX) Base Address
#define AT91C_BASE_PDC_DBGU  ((AT91PS_PDC) 	0xFFFFEF00) // (PDC_DBGU) Base Address
#define AT91C_BASE_DBGU      ((AT91PS_DBGU) 	0xFFFFEE00) // (DBGU) Base Address
#define AT91C_BASE_AIC       ((AT91PS_AIC) 	0xFFFFF000) // (AIC) Base Address
#define AT91C_BASE_PIOA      ((AT91PS_PIO) 	0xFFFFF200) // (PIOA) Base Address
#define AT91C_BASE_PIOB      ((AT91PS_PIO) 	0xFFFFF400) // (PIOB) Base Address
#define AT91C_BASE_PIOC      ((AT91PS_PIO) 	0xFFFFF600) // (PIOC) Base Address
#define AT91C_BASE_PIOD      ((AT91PS_PIO) 	0xFFFFF800) // (PIOD) Base Address
#define AT91C_BASE_PIOE      ((AT91PS_PIO) 	0xFFFFFA00) // (PIOE) Base Address
#define AT91C_BASE_CKGR      ((AT91PS_CKGR) 	0xFFFFFC20) // (CKGR) Base Address
#define AT91C_BASE_PMC       ((AT91PS_PMC) 	0xFFFFFC00) // (PMC) Base Address
#define AT91C_BASE_RSTC      ((AT91PS_RSTC) 	0xFFFFFD00) // (RSTC) Base Address
#define AT91C_BASE_SHDWC     ((AT91PS_SHDWC) 	0xFFFFFD10) // (SHDWC) Base Address
#define AT91C_BASE_RTTC0     ((AT91PS_RTTC) 	0xFFFFFD20) // (RTTC0) Base Address
#define AT91C_BASE_RTTC1     ((AT91PS_RTTC) 	0xFFFFFD50) // (RTTC1) Base Address
#define AT91C_BASE_PITC      ((AT91PS_PITC) 	0xFFFFFD30) // (PITC) Base Address
#define AT91C_BASE_WDTC      ((AT91PS_WDTC) 	0xFFFFFD40) // (WDTC) Base Address
#define AT91C_BASE_TC0       ((AT91PS_TC) 	0xFFF7C000) // (TC0) Base Address
#define AT91C_BASE_TC1       ((AT91PS_TC) 	0xFFF7C040) // (TC1) Base Address
#define AT91C_BASE_TC2       ((AT91PS_TC) 	0xFFF7C080) // (TC2) Base Address
#define AT91C_BASE_TCB0      ((AT91PS_TCB) 	0xFFF7C000) // (TCB0) Base Address
#define AT91C_BASE_TCB1      ((AT91PS_TCB) 	0xFFF7C040) // (TCB1) Base Address
#define AT91C_BASE_TCB2      ((AT91PS_TCB) 	0xFFF7C080) // (TCB2) Base Address
#define AT91C_BASE_PDC_MCI0  ((AT91PS_PDC) 	0xFFF80100) // (PDC_MCI0) Base Address
#define AT91C_BASE_MCI0      ((AT91PS_MCI) 	0xFFF80000) // (MCI0) Base Address
#define AT91C_BASE_PDC_MCI1  ((AT91PS_PDC) 	0xFFF84100) // (PDC_MCI1) Base Address
#define AT91C_BASE_MCI1      ((AT91PS_MCI) 	0xFFF84000) // (MCI1) Base Address
#define AT91C_BASE_TWI       ((AT91PS_TWI) 	0xFFF88000) // (TWI) Base Address
#define AT91C_BASE_PDC_US0   ((AT91PS_PDC) 	0xFFF8C100) // (PDC_US0) Base Address
#define AT91C_BASE_US0       ((AT91PS_USART) 	0xFFF8C000) // (US0) Base Address
#define AT91C_BASE_PDC_US1   ((AT91PS_PDC) 	0xFFF90100) // (PDC_US1) Base Address
#define AT91C_BASE_US1       ((AT91PS_USART) 	0xFFF90000) // (US1) Base Address
#define AT91C_BASE_PDC_US2   ((AT91PS_PDC) 	0xFFF94100) // (PDC_US2) Base Address
#define AT91C_BASE_US2       ((AT91PS_USART) 	0xFFF94000) // (US2) Base Address
#define AT91C_BASE_PDC_SSC0  ((AT91PS_PDC) 	0xFFF98100) // (PDC_SSC0) Base Address
#define AT91C_BASE_SSC0      ((AT91PS_SSC) 	0xFFF98000) // (SSC0) Base Address
#define AT91C_BASE_PDC_SSC1  ((AT91PS_PDC) 	0xFFF9C100) // (PDC_SSC1) Base Address
#define AT91C_BASE_SSC1      ((AT91PS_SSC) 	0xFFF9C000) // (SSC1) Base Address
#define AT91C_BASE_PDC_AC97C ((AT91PS_PDC) 	0xFFFA0100) // (PDC_AC97C) Base Address
#define AT91C_BASE_AC97C     ((AT91PS_AC97C) 	0xFFFA0000) // (AC97C) Base Address
#define AT91C_BASE_PDC_SPI0  ((AT91PS_PDC) 	0xFFFA4100) // (PDC_SPI0) Base Address
#define AT91C_BASE_SPI0      ((AT91PS_SPI) 	0xFFFA4000) // (SPI0) Base Address
#define AT91C_BASE_PDC_SPI1  ((AT91PS_PDC) 	0xFFFA8100) // (PDC_SPI1) Base Address
#define AT91C_BASE_SPI1      ((AT91PS_SPI) 	0xFFFA8000) // (SPI1) Base Address
#define AT91C_BASE_CAN_MB0   ((AT91PS_CAN_MB) 	0xFFFAC200) // (CAN_MB0) Base Address
#define AT91C_BASE_CAN_MB1   ((AT91PS_CAN_MB) 	0xFFFAC220) // (CAN_MB1) Base Address
#define AT91C_BASE_CAN_MB2   ((AT91PS_CAN_MB) 	0xFFFAC240) // (CAN_MB2) Base Address
#define AT91C_BASE_CAN_MB3   ((AT91PS_CAN_MB) 	0xFFFAC260) // (CAN_MB3) Base Address
#define AT91C_BASE_CAN_MB4   ((AT91PS_CAN_MB) 	0xFFFAC280) // (CAN_MB4) Base Address
#define AT91C_BASE_CAN_MB5   ((AT91PS_CAN_MB) 	0xFFFAC2A0) // (CAN_MB5) Base Address
#define AT91C_BASE_CAN_MB6   ((AT91PS_CAN_MB) 	0xFFFAC2C0) // (CAN_MB6) Base Address
#define AT91C_BASE_CAN_MB7   ((AT91PS_CAN_MB) 	0xFFFAC2E0) // (CAN_MB7) Base Address
#define AT91C_BASE_CAN_MB8   ((AT91PS_CAN_MB) 	0xFFFAC300) // (CAN_MB8) Base Address
#define AT91C_BASE_CAN_MB9   ((AT91PS_CAN_MB) 	0xFFFAC320) // (CAN_MB9) Base Address
#define AT91C_BASE_CAN_MB10  ((AT91PS_CAN_MB) 	0xFFFAC340) // (CAN_MB10) Base Address
#define AT91C_BASE_CAN_MB11  ((AT91PS_CAN_MB) 	0xFFFAC360) // (CAN_MB11) Base Address
#define AT91C_BASE_CAN_MB12  ((AT91PS_CAN_MB) 	0xFFFAC380) // (CAN_MB12) Base Address
#define AT91C_BASE_CAN_MB13  ((AT91PS_CAN_MB) 	0xFFFAC3A0) // (CAN_MB13) Base Address
#define AT91C_BASE_CAN_MB14  ((AT91PS_CAN_MB) 	0xFFFAC3C0) // (CAN_MB14) Base Address
#define AT91C_BASE_CAN_MB15  ((AT91PS_CAN_MB) 	0xFFFAC3E0) // (CAN_MB15) Base Address
#define AT91C_BASE_CAN       ((AT91PS_CAN) 	0xFFFAC000) // (CAN) Base Address
#define AT91C_BASE_PWMC_CH0  ((AT91PS_PWMC_CH) 	0xFFFB8200) // (PWMC_CH0) Base Address
#define AT91C_BASE_PWMC_CH1  ((AT91PS_PWMC_CH) 	0xFFFB8220) // (PWMC_CH1) Base Address
#define AT91C_BASE_PWMC_CH2  ((AT91PS_PWMC_CH) 	0xFFFB8240) // (PWMC_CH2) Base Address
#define AT91C_BASE_PWMC_CH3  ((AT91PS_PWMC_CH) 	0xFFFB8260) // (PWMC_CH3) Base Address
#define AT91C_BASE_PWMC      ((AT91PS_PWMC) 	0xFFFB8000) // (PWMC) Base Address
#define AT91C_BASE_MACB      ((AT91PS_EMAC) 	0xFFFBC000) // (MACB) Base Address
#define AT91C_BASE_LCDC      ((AT91PS_LCDC) 	0x00700000) // (LCDC) Base Address
#define AT91C_BASE_DMA       ((AT91PS_DMA) 	0x00800000) // (DMA) Base Address
#define AT91C_BASE_OTG       ((AT91PS_OTG) 	0x00900000) // (OTG) Base Address
#define AT91C_BASE_UDP       ((AT91PS_UDP) 	0xFFF78000) // (UDP) Base Address
#define AT91C_BASE_UHP       ((AT91PS_UHP) 	0x00A00000) // (UHP) Base Address
#define AT91C_BASE_GPS       ((AT91PS_GPS) 	0xFFFC0000) // (GPS) Base Address
#define AT91C_BASE_TBOX      ((AT91PS_TBOX) 	0x70000000) // (TBOX) Base Address
#define AT91C_BASE_AES       ((AT91PS_AES) 	0xFFFB0000) // (AES) Base Address
#define AT91C_BASE_PDC_AES   ((AT91PS_PDC) 	0xFFFB0100) // (PDC_AES) Base Address
#define AT91C_BASE_HECC0     ((AT91PS_ECC) 	0xFFFFE000) // (HECC0) Base Address
#define AT91C_BASE_HECC1     ((AT91PS_ECC) 	0xFFFFE600) // (HECC1) Base Address
#define AT91C_BASE_HISI      ((AT91PS_ISI) 	0xFFFC4000) // (HISI) Base Address

// *****************************************************************************
//               MEMORY MAPPING DEFINITIONS FOR AT91SAM9263
// *****************************************************************************
#define AT91C_ITCM 	 ((char *) 	0x00100000) // Maximum ITCM Area base address
#define AT91C_ITCM_SIZE	 ((unsigned int) 0x00010000) // Maximum ITCM Area size in byte (64 Kbyte)
#define AT91C_DTCM 	 ((char *) 	0x00200000) // Maximum DTCM Area base address
#define AT91C_DTCM_SIZE	 ((unsigned int) 0x00010000) // Maximum DTCM Area size in byte (64 Kbyte)
#define AT91C_IRAM 	 ((char *) 	0x00300000) // Maximum Internal SRAM base address
#define AT91C_IRAM_SIZE	 ((unsigned int) 0x00014000) // Maximum Internal SRAM size in byte (80 Kbyte)
#define AT91C_IRAM_MIN	 ((char *) 	0x00300000) // Minimum Internal RAM base address
#define AT91C_IRAM_MIN_SIZE	 ((unsigned int) 0x00004000) // Minimum Internal RAM size in byte (16 Kbyte)
#define AT91C_IROM 	 ((char *) 	0x00400000) // Internal ROM base address
#define AT91C_IROM_SIZE	 ((unsigned int) 0x00020000) // Internal ROM size in byte (128 Kbyte)
#define AT91C_GPS_TCM	 ((char *) 	0x00500000) // RAM connected to GPS base address
#define AT91C_GPS_TCM_SIZE	 ((unsigned int) 0x00004000) // RAM connected to GPS size in byte (16 Kbyte)
#define AT91C_EBI0_CS0	 ((char *) 	0x10000000) // EBI0 Chip Select 0 base address
#define AT91C_EBI0_CS0_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 0 size in byte (262144 Kbyte)
#define AT91C_EBI0_CS1	 ((char *) 	0x20000000) // EBI0 Chip Select 1 base address
#define AT91C_EBI0_CS1_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 1 size in byte (262144 Kbyte)
#define AT91C_EBI0_SDRAM	 ((char *) 	0x20000000) // SDRAM on EBI0 Chip Select 1 base address
#define AT91C_EBI0_SDRAM_SIZE	 ((unsigned int) 0x10000000) // SDRAM on EBI0 Chip Select 1 size in byte (262144 Kbyte)
#define AT91C_EBI0_SDRAM_16BIT	 ((char *) 	0x20000000) // SDRAM on EBI0 Chip Select 1 base address
#define AT91C_EBI0_SDRAM_16BIT_SIZE	 ((unsigned int) 0x02000000) // SDRAM on EBI0 Chip Select 1 size in byte (32768 Kbyte)
#define AT91C_EBI0_SDRAM_32BIT	 ((char *) 	0x20000000) // SDRAM on EBI0 Chip Select 1 base address
#define AT91C_EBI0_SDRAM_32BIT_SIZE	 ((unsigned int) 0x04000000) // SDRAM on EBI0 Chip Select 1 size in byte (65536 Kbyte)
#define AT91C_EBI0_CS2	 ((char *) 	0x30000000) // EBI0 Chip Select 2 base address
#define AT91C_EBI0_CS2_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 2 size in byte (262144 Kbyte)
#define AT91C_EBI0_CS3	 ((char *) 	0x40000000) // EBI0 Chip Select 3 base address
#define AT91C_EBI0_CS3_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 3 size in byte (262144 Kbyte)
#define AT91C_EBI0_SM	 ((char *) 	0x40000000) // SmartMedia on EBI0 Chip Select 3 base address
#define AT91C_EBI0_SM_SIZE	 ((unsigned int) 0x10000000) // SmartMedia on EBI0 Chip Select 3 size in byte (262144 Kbyte)
#define AT91C_EBI0_CS4	 ((char *) 	0x50000000) // EBI0 Chip Select 4 base address
#define AT91C_EBI0_CS4_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 4 size in byte (262144 Kbyte)
#define AT91C_EBI0_CF0	 ((char *) 	0x50000000) // CompactFlash 0 on EBI0 Chip Select 4 base address
#define AT91C_EBI0_CF0_SIZE	 ((unsigned int) 0x10000000) // CompactFlash 0 on EBI0 Chip Select 4 size in byte (262144 Kbyte)
#define AT91C_EBI0_CS5	 ((char *) 	0x60000000) // EBI0 Chip Select 5 base address
#define AT91C_EBI0_CS5_SIZE	 ((unsigned int) 0x10000000) // EBI0 Chip Select 5 size in byte (262144 Kbyte)
#define AT91C_EBI0_CF1	 ((char *) 	0x60000000) // CompactFlash 1 on EBI0Chip Select 5 base address
#define AT91C_EBI0_CF1_SIZE	 ((unsigned int) 0x10000000) // CompactFlash 1 on EBI0Chip Select 5 size in byte (262144 Kbyte)
#define AT91C_EBI1_CS0	 ((char *) 	0x70000000) // EBI1 Chip Select 0 base address
#define AT91C_EBI1_CS0_SIZE	 ((unsigned int) 0x10000000) // EBI1 Chip Select 0 size in byte (262144 Kbyte)
#define AT91C_EBI1_CS1	 ((char *) 	0x80000000) // EBI1 Chip Select 1 base address
#define AT91C_EBI1_CS1_SIZE	 ((unsigned int) 0x10000000) // EBI1 Chip Select 1 size in byte (262144 Kbyte)
#define AT91C_EBI1_SDRAM_16BIT	 ((char *) 	0x80000000) // SDRAM on EBI1 Chip Select 1 base address
#define AT91C_EBI1_SDRAM_16BIT_SIZE	 ((unsigned int) 0x02000000) // SDRAM on EBI1 Chip Select 1 size in byte (32768 Kbyte)
#define AT91C_EBI1_SDRAM_32BIT	 ((char *) 	0x80000000) // SDRAM on EBI1 Chip Select 1 base address
#define AT91C_EBI1_SDRAM_32BIT_SIZE	 ((unsigned int) 0x04000000) // SDRAM on EBI1 Chip Select 1 size in byte (65536 Kbyte)
#define AT91C_EBI1_CS2	 ((char *) 	0x90000000) // EBI1 Chip Select 2 base address
#define AT91C_EBI1_CS2_SIZE	 ((unsigned int) 0x10000000) // EBI1 Chip Select 2 size in byte (262144 Kbyte)
#define AT91C_EBI1_SM	 ((char *) 	0x90000000) // SmartMedia on EBI1 Chip Select 2 base address
#define AT91C_EBI1_SM_SIZE	 ((unsigned int) 0x10000000) // SmartMedia on EBI1 Chip Select 2 size in byte (262144 Kbyte)


///////////////
/// To suppress
///////////////

typedef volatile unsigned int AT91_REG;// Hardware register definition

// *****************************************************************************
//              SOFTWARE API DEFINITION  FOR System Peripherals
// *****************************************************************************
typedef struct _AT91S_SYS {
	AT91_REG	 SYS_ECC0; 	// ECC 0
	AT91_REG	 Reserved0[127]; 	// 
	AT91_REG	 SYS_SDRAMC0_MR; 	// SDRAM Controller Mode Register
	AT91_REG	 SYS_SDRAMC0_TR; 	// SDRAM Controller Refresh Timer Register
	AT91_REG	 SYS_SDRAMC0_CR; 	// SDRAM Controller Configuration Register
	AT91_REG	 SYS_SDRAMC0_HSR; 	// SDRAM Controller High Speed Register
	AT91_REG	 SYS_SDRAMC0_LPR; 	// SDRAM Controller Low Power Register
	AT91_REG	 SYS_SDRAMC0_IER; 	// SDRAM Controller Interrupt Enable Register
	AT91_REG	 SYS_SDRAMC0_IDR; 	// SDRAM Controller Interrupt Disable Register
	AT91_REG	 SYS_SDRAMC0_IMR; 	// SDRAM Controller Interrupt Mask Register
	AT91_REG	 SYS_SDRAMC0_ISR; 	// SDRAM Controller Interrupt Mask Register
	AT91_REG	 SYS_SDRAMC0_MDR; 	// SDRAM Memory Device Register
	AT91_REG	 Reserved1[118]; 	// 
	AT91_REG	 SYS_SMC0_SETUP0; 	//  Setup Register for CS 0
	AT91_REG	 SYS_SMC0_PULSE0; 	//  Pulse Register for CS 0
	AT91_REG	 SYS_SMC0_CYCLE0; 	//  Cycle Register for CS 0
	AT91_REG	 SYS_SMC0_CTRL0; 	//  Control Register for CS 0
	AT91_REG	 SYS_SMC0_SETUP1; 	//  Setup Register for CS 1
	AT91_REG	 SYS_SMC0_PULSE1; 	//  Pulse Register for CS 1
	AT91_REG	 SYS_SMC0_CYCLE1; 	//  Cycle Register for CS 1
	AT91_REG	 SYS_SMC0_CTRL1; 	//  Control Register for CS 1
	AT91_REG	 SYS_SMC0_SETUP2; 	//  Setup Register for CS 2
	AT91_REG	 SYS_SMC0_PULSE2; 	//  Pulse Register for CS 2
	AT91_REG	 SYS_SMC0_CYCLE2; 	//  Cycle Register for CS 2
	AT91_REG	 SYS_SMC0_CTRL2; 	//  Control Register for CS 2
	AT91_REG	 SYS_SMC0_SETUP3; 	//  Setup Register for CS 3
	AT91_REG	 SYS_SMC0_PULSE3; 	//  Pulse Register for CS 3
	AT91_REG	 SYS_SMC0_CYCLE3; 	//  Cycle Register for CS 3
	AT91_REG	 SYS_SMC0_CTRL3; 	//  Control Register for CS 3
	AT91_REG	 SYS_SMC0_SETUP4; 	//  Setup Register for CS 4
	AT91_REG	 SYS_SMC0_PULSE4; 	//  Pulse Register for CS 4
	AT91_REG	 SYS_SMC0_CYCLE4; 	//  Cycle Register for CS 4
	AT91_REG	 SYS_SMC0_CTRL4; 	//  Control Register for CS 4
	AT91_REG	 SYS_SMC0_SETUP5; 	//  Setup Register for CS 5
	AT91_REG	 SYS_SMC0_PULSE5; 	//  Pulse Register for CS 5
	AT91_REG	 SYS_SMC0_CYCLE5; 	//  Cycle Register for CS 5
	AT91_REG	 SYS_SMC0_CTRL5; 	//  Control Register for CS 5
	AT91_REG	 SYS_SMC0_SETUP6; 	//  Setup Register for CS 6
	AT91_REG	 SYS_SMC0_PULSE6; 	//  Pulse Register for CS 6
	AT91_REG	 SYS_SMC0_CYCLE6; 	//  Cycle Register for CS 6
	AT91_REG	 SYS_SMC0_CTRL6; 	//  Control Register for CS 6
	AT91_REG	 SYS_SMC0_SETUP7; 	//  Setup Register for CS 7
	AT91_REG	 SYS_SMC0_PULSE7; 	//  Pulse Register for CS 7
	AT91_REG	 SYS_SMC0_CYCLE7; 	//  Cycle Register for CS 7
	AT91_REG	 SYS_SMC0_CTRL7; 	//  Control Register for CS 7
	AT91_REG	 Reserved2[96]; 	// 
	AT91_REG	 SYS_ECC1; 	// ECC 0
	AT91_REG	 Reserved3[127]; 	// 
	AT91_REG	 SYS_SDRAMC1_MR; 	// SDRAM Controller Mode Register
	AT91_REG	 SYS_SDRAMC1_TR; 	// SDRAM Controller Refresh Timer Register
	AT91_REG	 SYS_SDRAMC1_CR; 	// SDRAM Controller Configuration Register
	AT91_REG	 SYS_SDRAMC1_HSR; 	// SDRAM Controller High Speed Register
	AT91_REG	 SYS_SDRAMC1_LPR; 	// SDRAM Controller Low Power Register
	AT91_REG	 SYS_SDRAMC1_IER; 	// SDRAM Controller Interrupt Enable Register
	AT91_REG	 SYS_SDRAMC1_IDR; 	// SDRAM Controller Interrupt Disable Register
	AT91_REG	 SYS_SDRAMC1_IMR; 	// SDRAM Controller Interrupt Mask Register
	AT91_REG	 SYS_SDRAMC1_ISR; 	// SDRAM Controller Interrupt Mask Register
	AT91_REG	 SYS_SDRAMC1_MDR; 	// SDRAM Memory Device Register
	AT91_REG	 Reserved4[118]; 	// 
	AT91_REG	 SYS_SMC1_SETUP0; 	//  Setup Register for CS 0
	AT91_REG	 SYS_SMC1_PULSE0; 	//  Pulse Register for CS 0
	AT91_REG	 SYS_SMC1_CYCLE0; 	//  Cycle Register for CS 0
	AT91_REG	 SYS_SMC1_CTRL0; 	//  Control Register for CS 0
	AT91_REG	 SYS_SMC1_SETUP1; 	//  Setup Register for CS 1
	AT91_REG	 SYS_SMC1_PULSE1; 	//  Pulse Register for CS 1
	AT91_REG	 SYS_SMC1_CYCLE1; 	//  Cycle Register for CS 1
	AT91_REG	 SYS_SMC1_CTRL1; 	//  Control Register for CS 1
	AT91_REG	 SYS_SMC1_SETUP2; 	//  Setup Register for CS 2
	AT91_REG	 SYS_SMC1_PULSE2; 	//  Pulse Register for CS 2
	AT91_REG	 SYS_SMC1_CYCLE2; 	//  Cycle Register for CS 2
	AT91_REG	 SYS_SMC1_CTRL2; 	//  Control Register for CS 2
	AT91_REG	 SYS_SMC1_SETUP3; 	//  Setup Register for CS 3
	AT91_REG	 SYS_SMC1_PULSE3; 	//  Pulse Register for CS 3
	AT91_REG	 SYS_SMC1_CYCLE3; 	//  Cycle Register for CS 3
	AT91_REG	 SYS_SMC1_CTRL3; 	//  Control Register for CS 3
	AT91_REG	 SYS_SMC1_SETUP4; 	//  Setup Register for CS 4
	AT91_REG	 SYS_SMC1_PULSE4; 	//  Pulse Register for CS 4
	AT91_REG	 SYS_SMC1_CYCLE4; 	//  Cycle Register for CS 4
	AT91_REG	 SYS_SMC1_CTRL4; 	//  Control Register for CS 4
	AT91_REG	 SYS_SMC1_SETUP5; 	//  Setup Register for CS 5
	AT91_REG	 SYS_SMC1_PULSE5; 	//  Pulse Register for CS 5
	AT91_REG	 SYS_SMC1_CYCLE5; 	//  Cycle Register for CS 5
	AT91_REG	 SYS_SMC1_CTRL5; 	//  Control Register for CS 5
	AT91_REG	 SYS_SMC1_SETUP6; 	//  Setup Register for CS 6
	AT91_REG	 SYS_SMC1_PULSE6; 	//  Pulse Register for CS 6
	AT91_REG	 SYS_SMC1_CYCLE6; 	//  Cycle Register for CS 6
	AT91_REG	 SYS_SMC1_CTRL6; 	//  Control Register for CS 6
	AT91_REG	 SYS_SMC1_SETUP7; 	//  Setup Register for CS 7
	AT91_REG	 SYS_SMC1_PULSE7; 	//  Pulse Register for CS 7
	AT91_REG	 SYS_SMC1_CYCLE7; 	//  Cycle Register for CS 7
	AT91_REG	 SYS_SMC1_CTRL7; 	//  Control Register for CS 7
	AT91_REG	 Reserved5[96]; 	// 
	AT91_REG	 SYS_MATRIX_MCFG0; 	//  Master Configuration Register 0 (rom)     
	AT91_REG	 SYS_MATRIX_MCFG1; 	//  Master Configuration Register 1 (htcm)    
	AT91_REG	 SYS_MATRIX_MCFG2; 	//  Master Configuration Register 2 (gps_tcm) 
	AT91_REG	 SYS_MATRIX_MCFG3; 	//  Master Configuration Register 3 (hperiphs)
	AT91_REG	 SYS_MATRIX_MCFG4; 	//  Master Configuration Register 4 (ebi0)    
	AT91_REG	 SYS_MATRIX_MCFG5; 	//  Master Configuration Register 5 (ebi1)    
	AT91_REG	 SYS_MATRIX_MCFG6; 	//  Master Configuration Register 6 (bridge)  
	AT91_REG	 SYS_MATRIX_MCFG7; 	//  Master Configuration Register 7 (gps)     
	AT91_REG	 Reserved6[8]; 	// 
	AT91_REG	 SYS_MATRIX_SCFG0; 	//  Slave Configuration Register 0 (rom)	    
	AT91_REG	 SYS_MATRIX_SCFG1; 	//  Slave Configuration Register 1 (htcm)    
	AT91_REG	 SYS_MATRIX_SCFG2; 	//  Slave Configuration Register 2 (gps_tcm) 
	AT91_REG	 SYS_MATRIX_SCFG3; 	//  Slave Configuration Register 3 (hperiphs)
	AT91_REG	 SYS_MATRIX_SCFG4; 	//  Slave Configuration Register 4 (ebi0)    
	AT91_REG	 SYS_MATRIX_SCFG5; 	//  Slave Configuration Register 5 (ebi1)    
	AT91_REG	 SYS_MATRIX_SCFG6; 	//  Slave Configuration Register 6 (bridge)  
	AT91_REG	 SYS_MATRIX_SCFG7; 	//  Slave Configuration Register 7 (gps)	    
	AT91_REG	 Reserved7[8]; 	// 
	AT91_REG	 SYS_MATRIX_PRAS0; 	//  PRAS0 (ram0) 
	AT91_REG	 SYS_MATRIX_PRBS0; 	//  PRBS0 (ram0) 
	AT91_REG	 SYS_MATRIX_PRAS1; 	//  PRAS1 (ram1) 
	AT91_REG	 SYS_MATRIX_PRBS1; 	//  PRBS1 (ram1) 
	AT91_REG	 SYS_MATRIX_PRAS2; 	//  PRAS2 (ram2) 
	AT91_REG	 SYS_MATRIX_PRBS2; 	//  PRBS2 (ram2) 
	AT91_REG	 Reserved8[26]; 	// 
	AT91_REG	 SYS_MATRIX_MRCR; 	//  Master Remp Control Register 
	AT91_REG	 Reserved9[3]; 	// 
	AT91_REG	 SYS_MATRIX_ROM; 	//  Slave 0 (rom) Special Function Register
	AT91_REG	 SYS_MATRIX_TCMR; 	//  Slave 1 (htcm) Special Function Register
	AT91_REG	 SYS_MATRIX_GPSTCM; 	//  Slave 2 (gps_tcm) Special Function Register
	AT91_REG	 SYS_MATRIX_USBPCR; 	//  Slave 3 (hperiphs) Special Function Register
	AT91_REG	 SYS_MATRIX_EBI0; 	//  Slave 4 (ebi0) Special Function Register
	AT91_REG	 SYS_MATRIX_EBI1; 	//  Slave 5 (ebi1) Special Function Register
	AT91_REG	 SYS_MATRIX_BRIDGE; 	//  Slave 6 (bridge) Special Function Register
	AT91_REG	 SYS_MATRIX_GPS; 	//  Slave 7 (gps) Special Function Register
	AT91_REG	 Reserved10[51]; 	// 
	AT91_REG	 SYS_MATRIX_VERSION; 	//  Version Register
	AT91_REG	 SYS_DBGU_CR; 	// Control Register
	AT91_REG	 SYS_DBGU_MR; 	// Mode Register
	AT91_REG	 SYS_DBGU_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_DBGU_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_DBGU_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_DBGU_CSR; 	// Channel Status Register
	AT91_REG	 SYS_DBGU_RHR; 	// Receiver Holding Register
	AT91_REG	 SYS_DBGU_THR; 	// Transmitter Holding Register
	AT91_REG	 SYS_DBGU_BRGR; 	// Baud Rate Generator Register
	AT91_REG	 Reserved11[7]; 	// 
	AT91_REG	 SYS_DBGU_CIDR; 	// Chip ID Register
	AT91_REG	 SYS_DBGU_EXID; 	// Chip ID Extension Register
	AT91_REG	 SYS_DBGU_FNTR; 	// Force NTRST Register
	AT91_REG	 Reserved12[45]; 	// 
	AT91_REG	 SYS_DBGU_RPR; 	// Receive Pointer Register
	AT91_REG	 SYS_DBGU_RCR; 	// Receive Counter Register
	AT91_REG	 SYS_DBGU_TPR; 	// Transmit Pointer Register
	AT91_REG	 SYS_DBGU_TCR; 	// Transmit Counter Register
	AT91_REG	 SYS_DBGU_RNPR; 	// Receive Next Pointer Register
	AT91_REG	 SYS_DBGU_RNCR; 	// Receive Next Counter Register
	AT91_REG	 SYS_DBGU_TNPR; 	// Transmit Next Pointer Register
	AT91_REG	 SYS_DBGU_TNCR; 	// Transmit Next Counter Register
	AT91_REG	 SYS_DBGU_PTCR; 	// PDC Transfer Control Register
	AT91_REG	 SYS_DBGU_PTSR; 	// PDC Transfer Status Register
	AT91_REG	 Reserved13[54]; 	// 
	AT91_REG	 SYS_AIC_SMR[32]; 	// Source Mode Register
	AT91_REG	 SYS_AIC_SVR[32]; 	// Source Vector Register
	AT91_REG	 SYS_AIC_IVR; 	// IRQ Vector Register
	AT91_REG	 SYS_AIC_FVR; 	// FIQ Vector Register
	AT91_REG	 SYS_AIC_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_AIC_IPR; 	// Interrupt Pending Register
	AT91_REG	 SYS_AIC_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_AIC_CISR; 	// Core Interrupt Status Register
	AT91_REG	 Reserved14[2]; 	// 
	AT91_REG	 SYS_AIC_IECR; 	// Interrupt Enable Command Register
	AT91_REG	 SYS_AIC_IDCR; 	// Interrupt Disable Command Register
	AT91_REG	 SYS_AIC_ICCR; 	// Interrupt Clear Command Register
	AT91_REG	 SYS_AIC_ISCR; 	// Interrupt Set Command Register
	AT91_REG	 SYS_AIC_EOICR; 	// End of Interrupt Command Register
	AT91_REG	 SYS_AIC_SPU; 	// Spurious Vector Register
	AT91_REG	 SYS_AIC_DCR; 	// Debug Control Register (Protect)
	AT91_REG	 Reserved15[1]; 	// 
	AT91_REG	 SYS_AIC_FFER; 	// Fast Forcing Enable Register
	AT91_REG	 SYS_AIC_FFDR; 	// Fast Forcing Disable Register
	AT91_REG	 SYS_AIC_FFSR; 	// Fast Forcing Status Register
	AT91_REG	 Reserved16[45]; 	// 
	AT91_REG	 SYS_PIOA_PER; 	// PIO Enable Register
	AT91_REG	 SYS_PIOA_PDR; 	// PIO Disable Register
	AT91_REG	 SYS_PIOA_PSR; 	// PIO Status Register
	AT91_REG	 Reserved17[1]; 	// 
	AT91_REG	 SYS_PIOA_OER; 	// Output Enable Register
	AT91_REG	 SYS_PIOA_ODR; 	// Output Disable Registerr
	AT91_REG	 SYS_PIOA_OSR; 	// Output Status Register
	AT91_REG	 Reserved18[1]; 	// 
	AT91_REG	 SYS_PIOA_IFER; 	// Input Filter Enable Register
	AT91_REG	 SYS_PIOA_IFDR; 	// Input Filter Disable Register
	AT91_REG	 SYS_PIOA_IFSR; 	// Input Filter Status Register
	AT91_REG	 Reserved19[1]; 	// 
	AT91_REG	 SYS_PIOA_SODR; 	// Set Output Data Register
	AT91_REG	 SYS_PIOA_CODR; 	// Clear Output Data Register
	AT91_REG	 SYS_PIOA_ODSR; 	// Output Data Status Register
	AT91_REG	 SYS_PIOA_PDSR; 	// Pin Data Status Register
	AT91_REG	 SYS_PIOA_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PIOA_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PIOA_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_PIOA_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_PIOA_MDER; 	// Multi-driver Enable Register
	AT91_REG	 SYS_PIOA_MDDR; 	// Multi-driver Disable Register
	AT91_REG	 SYS_PIOA_MDSR; 	// Multi-driver Status Register
	AT91_REG	 Reserved20[1]; 	// 
	AT91_REG	 SYS_PIOA_PPUDR; 	// Pull-up Disable Register
	AT91_REG	 SYS_PIOA_PPUER; 	// Pull-up Enable Register
	AT91_REG	 SYS_PIOA_PPUSR; 	// Pull-up Status Register
	AT91_REG	 Reserved21[1]; 	// 
	AT91_REG	 SYS_PIOA_ASR; 	// Select A Register
	AT91_REG	 SYS_PIOA_BSR; 	// Select B Register
	AT91_REG	 SYS_PIOA_ABSR; 	// AB Select Status Register
	AT91_REG	 Reserved22[9]; 	// 
	AT91_REG	 SYS_PIOA_OWER; 	// Output Write Enable Register
	AT91_REG	 SYS_PIOA_OWDR; 	// Output Write Disable Register
	AT91_REG	 SYS_PIOA_OWSR; 	// Output Write Status Register
	AT91_REG	 Reserved23[85]; 	// 
	AT91_REG	 SYS_PIOB_PER; 	// PIO Enable Register
	AT91_REG	 SYS_PIOB_PDR; 	// PIO Disable Register
	AT91_REG	 SYS_PIOB_PSR; 	// PIO Status Register
	AT91_REG	 Reserved24[1]; 	// 
	AT91_REG	 SYS_PIOB_OER; 	// Output Enable Register
	AT91_REG	 SYS_PIOB_ODR; 	// Output Disable Registerr
	AT91_REG	 SYS_PIOB_OSR; 	// Output Status Register
	AT91_REG	 Reserved25[1]; 	// 
	AT91_REG	 SYS_PIOB_IFER; 	// Input Filter Enable Register
	AT91_REG	 SYS_PIOB_IFDR; 	// Input Filter Disable Register
	AT91_REG	 SYS_PIOB_IFSR; 	// Input Filter Status Register
	AT91_REG	 Reserved26[1]; 	// 
	AT91_REG	 SYS_PIOB_SODR; 	// Set Output Data Register
	AT91_REG	 SYS_PIOB_CODR; 	// Clear Output Data Register
	AT91_REG	 SYS_PIOB_ODSR; 	// Output Data Status Register
	AT91_REG	 SYS_PIOB_PDSR; 	// Pin Data Status Register
	AT91_REG	 SYS_PIOB_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PIOB_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PIOB_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_PIOB_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_PIOB_MDER; 	// Multi-driver Enable Register
	AT91_REG	 SYS_PIOB_MDDR; 	// Multi-driver Disable Register
	AT91_REG	 SYS_PIOB_MDSR; 	// Multi-driver Status Register
	AT91_REG	 Reserved27[1]; 	// 
	AT91_REG	 SYS_PIOB_PPUDR; 	// Pull-up Disable Register
	AT91_REG	 SYS_PIOB_PPUER; 	// Pull-up Enable Register
	AT91_REG	 SYS_PIOB_PPUSR; 	// Pull-up Status Register
	AT91_REG	 Reserved28[1]; 	// 
	AT91_REG	 SYS_PIOB_ASR; 	// Select A Register
	AT91_REG	 SYS_PIOB_BSR; 	// Select B Register
	AT91_REG	 SYS_PIOB_ABSR; 	// AB Select Status Register
	AT91_REG	 Reserved29[9]; 	// 
	AT91_REG	 SYS_PIOB_OWER; 	// Output Write Enable Register
	AT91_REG	 SYS_PIOB_OWDR; 	// Output Write Disable Register
	AT91_REG	 SYS_PIOB_OWSR; 	// Output Write Status Register
	AT91_REG	 Reserved30[85]; 	// 
	AT91_REG	 SYS_PIOC_PER; 	// PIO Enable Register
	AT91_REG	 SYS_PIOC_PDR; 	// PIO Disable Register
	AT91_REG	 SYS_PIOC_PSR; 	// PIO Status Register
	AT91_REG	 Reserved31[1]; 	// 
	AT91_REG	 SYS_PIOC_OER; 	// Output Enable Register
	AT91_REG	 SYS_PIOC_ODR; 	// Output Disable Registerr
	AT91_REG	 SYS_PIOC_OSR; 	// Output Status Register
	AT91_REG	 Reserved32[1]; 	// 
	AT91_REG	 SYS_PIOC_IFER; 	// Input Filter Enable Register
	AT91_REG	 SYS_PIOC_IFDR; 	// Input Filter Disable Register
	AT91_REG	 SYS_PIOC_IFSR; 	// Input Filter Status Register
	AT91_REG	 Reserved33[1]; 	// 
	AT91_REG	 SYS_PIOC_SODR; 	// Set Output Data Register
	AT91_REG	 SYS_PIOC_CODR; 	// Clear Output Data Register
	AT91_REG	 SYS_PIOC_ODSR; 	// Output Data Status Register
	AT91_REG	 SYS_PIOC_PDSR; 	// Pin Data Status Register
	AT91_REG	 SYS_PIOC_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PIOC_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PIOC_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_PIOC_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_PIOC_MDER; 	// Multi-driver Enable Register
	AT91_REG	 SYS_PIOC_MDDR; 	// Multi-driver Disable Register
	AT91_REG	 SYS_PIOC_MDSR; 	// Multi-driver Status Register
	AT91_REG	 Reserved34[1]; 	// 
	AT91_REG	 SYS_PIOC_PPUDR; 	// Pull-up Disable Register
	AT91_REG	 SYS_PIOC_PPUER; 	// Pull-up Enable Register
	AT91_REG	 SYS_PIOC_PPUSR; 	// Pull-up Status Register
	AT91_REG	 Reserved35[1]; 	// 
	AT91_REG	 SYS_PIOC_ASR; 	// Select A Register
	AT91_REG	 SYS_PIOC_BSR; 	// Select B Register
	AT91_REG	 SYS_PIOC_ABSR; 	// AB Select Status Register
	AT91_REG	 Reserved36[9]; 	// 
	AT91_REG	 SYS_PIOC_OWER; 	// Output Write Enable Register
	AT91_REG	 SYS_PIOC_OWDR; 	// Output Write Disable Register
	AT91_REG	 SYS_PIOC_OWSR; 	// Output Write Status Register
	AT91_REG	 Reserved37[85]; 	// 
	AT91_REG	 SYS_PIOD_PER; 	// PIO Enable Register
	AT91_REG	 SYS_PIOD_PDR; 	// PIO Disable Register
	AT91_REG	 SYS_PIOD_PSR; 	// PIO Status Register
	AT91_REG	 Reserved38[1]; 	// 
	AT91_REG	 SYS_PIOD_OER; 	// Output Enable Register
	AT91_REG	 SYS_PIOD_ODR; 	// Output Disable Registerr
	AT91_REG	 SYS_PIOD_OSR; 	// Output Status Register
	AT91_REG	 Reserved39[1]; 	// 
	AT91_REG	 SYS_PIOD_IFER; 	// Input Filter Enable Register
	AT91_REG	 SYS_PIOD_IFDR; 	// Input Filter Disable Register
	AT91_REG	 SYS_PIOD_IFSR; 	// Input Filter Status Register
	AT91_REG	 Reserved40[1]; 	// 
	AT91_REG	 SYS_PIOD_SODR; 	// Set Output Data Register
	AT91_REG	 SYS_PIOD_CODR; 	// Clear Output Data Register
	AT91_REG	 SYS_PIOD_ODSR; 	// Output Data Status Register
	AT91_REG	 SYS_PIOD_PDSR; 	// Pin Data Status Register
	AT91_REG	 SYS_PIOD_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PIOD_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PIOD_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_PIOD_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_PIOD_MDER; 	// Multi-driver Enable Register
	AT91_REG	 SYS_PIOD_MDDR; 	// Multi-driver Disable Register
	AT91_REG	 SYS_PIOD_MDSR; 	// Multi-driver Status Register
	AT91_REG	 Reserved41[1]; 	// 
	AT91_REG	 SYS_PIOD_PPUDR; 	// Pull-up Disable Register
	AT91_REG	 SYS_PIOD_PPUER; 	// Pull-up Enable Register
	AT91_REG	 SYS_PIOD_PPUSR; 	// Pull-up Status Register
	AT91_REG	 Reserved42[1]; 	// 
	AT91_REG	 SYS_PIOD_ASR; 	// Select A Register
	AT91_REG	 SYS_PIOD_BSR; 	// Select B Register
	AT91_REG	 SYS_PIOD_ABSR; 	// AB Select Status Register
	AT91_REG	 Reserved43[9]; 	// 
	AT91_REG	 SYS_PIOD_OWER; 	// Output Write Enable Register
	AT91_REG	 SYS_PIOD_OWDR; 	// Output Write Disable Register
	AT91_REG	 SYS_PIOD_OWSR; 	// Output Write Status Register
	AT91_REG	 Reserved44[85]; 	// 
	AT91_REG	 SYS_PIOE_PER; 	// PIO Enable Register
	AT91_REG	 SYS_PIOE_PDR; 	// PIO Disable Register
	AT91_REG	 SYS_PIOE_PSR; 	// PIO Status Register
	AT91_REG	 Reserved45[1]; 	// 
	AT91_REG	 SYS_PIOE_OER; 	// Output Enable Register
	AT91_REG	 SYS_PIOE_ODR; 	// Output Disable Registerr
	AT91_REG	 SYS_PIOE_OSR; 	// Output Status Register
	AT91_REG	 Reserved46[1]; 	// 
	AT91_REG	 SYS_PIOE_IFER; 	// Input Filter Enable Register
	AT91_REG	 SYS_PIOE_IFDR; 	// Input Filter Disable Register
	AT91_REG	 SYS_PIOE_IFSR; 	// Input Filter Status Register
	AT91_REG	 Reserved47[1]; 	// 
	AT91_REG	 SYS_PIOE_SODR; 	// Set Output Data Register
	AT91_REG	 SYS_PIOE_CODR; 	// Clear Output Data Register
	AT91_REG	 SYS_PIOE_ODSR; 	// Output Data Status Register
	AT91_REG	 SYS_PIOE_PDSR; 	// Pin Data Status Register
	AT91_REG	 SYS_PIOE_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PIOE_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PIOE_IMR; 	// Interrupt Mask Register
	AT91_REG	 SYS_PIOE_ISR; 	// Interrupt Status Register
	AT91_REG	 SYS_PIOE_MDER; 	// Multi-driver Enable Register
	AT91_REG	 SYS_PIOE_MDDR; 	// Multi-driver Disable Register
	AT91_REG	 SYS_PIOE_MDSR; 	// Multi-driver Status Register
	AT91_REG	 Reserved48[1]; 	// 
	AT91_REG	 SYS_PIOE_PPUDR; 	// Pull-up Disable Register
	AT91_REG	 SYS_PIOE_PPUER; 	// Pull-up Enable Register
	AT91_REG	 SYS_PIOE_PPUSR; 	// Pull-up Status Register
	AT91_REG	 Reserved49[1]; 	// 
	AT91_REG	 SYS_PIOE_ASR; 	// Select A Register
	AT91_REG	 SYS_PIOE_BSR; 	// Select B Register
	AT91_REG	 SYS_PIOE_ABSR; 	// AB Select Status Register
	AT91_REG	 Reserved50[9]; 	// 
	AT91_REG	 SYS_PIOE_OWER; 	// Output Write Enable Register
	AT91_REG	 SYS_PIOE_OWDR; 	// Output Write Disable Register
	AT91_REG	 SYS_PIOE_OWSR; 	// Output Write Status Register
	AT91_REG	 Reserved51[85]; 	// 
	AT91_REG	 SYS_PMC_SCER; 	// System Clock Enable Register
	AT91_REG	 SYS_PMC_SCDR; 	// System Clock Disable Register
	AT91_REG	 SYS_PMC_SCSR; 	// System Clock Status Register
	AT91_REG	 Reserved52[1]; 	// 
	AT91_REG	 SYS_PMC_PCER; 	// Peripheral Clock Enable Register
	AT91_REG	 SYS_PMC_PCDR; 	// Peripheral Clock Disable Register
	AT91_REG	 SYS_PMC_PCSR; 	// Peripheral Clock Status Register
	AT91_REG	 Reserved53[1]; 	// 
	AT91_REG	 SYS_PMC_MOR; 	// Main Oscillator Register
	AT91_REG	 SYS_PMC_MCFR; 	// Main Clock  Frequency Register
	AT91_REG	 SYS_PMC_PLLAR; 	// PLL A Register
	AT91_REG	 SYS_PMC_PLLBR; 	// PLL B Register
	AT91_REG	 SYS_PMC_MCKR; 	// Master Clock Register
	AT91_REG	 Reserved54[3]; 	// 
	AT91_REG	 SYS_PMC_PCKR[8]; 	// Programmable Clock Register
	AT91_REG	 SYS_PMC_IER; 	// Interrupt Enable Register
	AT91_REG	 SYS_PMC_IDR; 	// Interrupt Disable Register
	AT91_REG	 SYS_PMC_SR; 	// Status Register
	AT91_REG	 SYS_PMC_IMR; 	// Interrupt Mask Register
	AT91_REG	 Reserved55[36]; 	// 
	AT91_REG	 SYS_RSTC_RCR; 	// Reset Control Register
	AT91_REG	 SYS_RSTC_RSR; 	// Reset Status Register
	AT91_REG	 SYS_RSTC_RMR; 	// Reset Mode Register
	AT91_REG	 Reserved56[1]; 	// 
	AT91_REG	 SYS_SHDWC_SHCR; 	// Shut Down Control Register
	AT91_REG	 SYS_SHDWC_SHMR; 	// Shut Down Mode Register
	AT91_REG	 SYS_SHDWC_SHSR; 	// Shut Down Status Register
	AT91_REG	 Reserved57[1]; 	// 
	AT91_REG	 SYS_RTTC0_RTMR; 	// Real-time Mode Register
	AT91_REG	 SYS_RTTC0_RTAR; 	// Real-time Alarm Register
	AT91_REG	 SYS_RTTC0_RTVR; 	// Real-time Value Register
	AT91_REG	 SYS_RTTC0_RTSR; 	// Real-time Status Register
	AT91_REG	 SYS_PITC_PIMR; 	// Period Interval Mode Register
	AT91_REG	 SYS_PITC_PISR; 	// Period Interval Status Register
	AT91_REG	 SYS_PITC_PIVR; 	// Period Interval Value Register
	AT91_REG	 SYS_PITC_PIIR; 	// Period Interval Image Register
	AT91_REG	 SYS_WDTC_WDCR; 	// Watchdog Control Register
	AT91_REG	 SYS_WDTC_WDMR; 	// Watchdog Mode Register
	AT91_REG	 SYS_WDTC_WDSR; 	// Watchdog Status Register
	AT91_REG	 Reserved58[1]; 	// 
	AT91_REG	 SYS_RTTC1_RTMR; 	// Real-time Mode Register
	AT91_REG	 SYS_RTTC1_RTAR; 	// Real-time Alarm Register
	AT91_REG	 SYS_RTTC1_RTVR; 	// Real-time Value Register
	AT91_REG	 SYS_RTTC1_RTSR; 	// Real-time Status Register
	AT91_REG	 SYS_GPBR[20]; 	// General Purpose Register
} AT91S_SYS, *AT91PS_SYS;


#endif
//! @}
