//-----------------------------------------------------------------------------
//! \addtogroup	OAL
//! @{
//!
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//! \file		AT91SAM9263_oal_intr.h
//!
//! \brief		Definitions of the interrupt constants
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/AT91SAM9263_oal_intr.h $
//!   $Author: jjhiblot $
//!   $Revision: 1570 $
//!   $Date: 2007-12-05 11:40:54 +0100 (mer., 05 déc. 2007) $
//! \endif
//-----------------------------------------------------------------------------


#ifndef AT91SAM9263_OALINTR_H
#define AT91SAM9263_OALINTR_H

// the following values are used to compute the LOGINTR associated with a PIO pin.
// For example LOGINTR for PIOA pin 4 is LOGINTR_BASE_PIOA + 4
#define LOGINTR_BASE_PIOA			64
#define LOGINTR_BASE_PIOB			96                           
#define LOGINTR_BASE_PIOC			128
#define LOGINTR_BASE_PIOD			160
#define LOGINTR_BASE_PIOE			192                          

#define SAM9263_PIO_INTR_ARRAY	{\
	{AT91C_BASE_PIOA,32,0,0,LOGINTR_BASE_PIOA,AT91C_ID_PIOA,0,0},\
	{AT91C_BASE_PIOB,32,0,0,LOGINTR_BASE_PIOB,AT91C_ID_PIOB,0,0},\
	{AT91C_BASE_PIOC,32,0,0,LOGINTR_BASE_PIOC,AT91C_ID_PIOCDE,0,0},\
	{AT91C_BASE_PIOD,32,0,0,LOGINTR_BASE_PIOD,AT91C_ID_PIOCDE,0,0},\
	{AT91C_BASE_PIOE,32,0,0,LOGINTR_BASE_PIOE,AT91C_ID_PIOCDE,0,0},\
	}
//////////////////////////////////////////////////////////////////////
//                          
// SYSINTR values
//
#define SYSINTR_SYS			    (SYSINTR_FIRMWARE+0)
#define SYSINTR_ETHER			(SYSINTR_FIRMWARE+1)


#endif

//! @}


////////////////////////////////////////////////////////////////////////////////
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/AT91SAM9263_oal_intr.h $
////////////////////////////////////////////////////////////////////////////////
//
