//-----------------------------------------------------------------------------
//! \addtogroup	OAL
//! @{
//!
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//! \file		AT91SAM926x_oal_intr.h
//!
//! \brief		common definitions of the interrupt constants for the AT91SAM926x processors
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM926x/INC/AT91SAM926x_oal_intr.h $
//!   $Author: nlaunet $
//!   $Revision: 581 $
//!   $Date: 2007-03-22 11:49:53 +0100 (jeu., 22 mars 2007) $
//! \endif
//-----------------------------------------------------------------------------

#ifndef AT91SAM926X_OALINTR_H
#define AT91SAM926X_OALINTR_H

#include <nkintr.h>

#define LOGINTR_UNDEFINED    ((DWORD)-1)
#define LOGINTR_MIN            0

#define LOGINTR_AIC_FIRST             		1 //First AIC's irq
#define LOGINTR_AIC_LAST                    31 //Last AIC's irq
                            
                         
BOOL SOCDisableIrq(DWORD irq, BOOL* pOldState);
BOOL SOCEnableIrq(DWORD irq);
void SOCSaveAndDisableAllIntrBeforeSuspend();
void SOCRestoreAllIntrAfterSuspend();

#endif

//! @}


////////////////////////////////////////////////////////////////////////////////
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM926x/INC/AT91SAM926x_oal_intr.h $
////////////////////////////////////////////////////////////////////////////////
//
