//-----------------------------------------------------------------------------
//! \addtogroup OAL
//! @{
//
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//! \file		oal_ethdrv.h
//!
//! \brief		Header file defining the EMACB ethdbg interface
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/AT91SAM9263EK/SRC/INC/oal_ethdrv.h $
//!   $Author: amlimonet $
//!   $Revision: 889 $
//!   $Date: 2007-05-28 10:42:57 +0200 (lun., 28 mai 2007) $
//! \endif
//-----------------------------------------------------------------------------

#ifndef __OAL_ETHDRV_H__
#define __OAL_ETHDRV_H__

//------------------------------------------------------------------------------
// Prototypes for EMACB functions

BOOL   EMACInit(UINT8 *pAddress, UINT32 offset, UINT16 mac[3]);
UINT16 EMACSendFrame(UINT8 *pBuffer, UINT32 length);
UINT16 EMACGetFrame(UINT8 *pBuffer, UINT16 *pLength);
VOID   EMACEnableInts();
VOID   EMACDisableInts();
VOID   EMACCurrentPacketFilter(UINT32 filter);
BOOL   EMACMulticastList(UINT8 *pAddresses, UINT32 count);
// This function doesn't belong to the standard MS API
void   EMACSetAddressMac(UINT8 *pAddress, UINT16 mac[3]);

#define OAL_ETHDRV_EMACB   { \
    EMACInit, NULL, NULL, EMACSendFrame, EMACGetFrame, \
    EMACEnableInts, EMACDisableInts, \
    NULL, NULL,  EMACCurrentPacketFilter, EMACMulticastList \
}

#endif

//! @}
//-----------------------------------------------------------------------------
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/AT91SAM9263EK/SRC/INC/oal_ethdrv.h $
//-----------------------------------------------------------------------------
//
